package com.flow.common.core.annotation;


import com.flow.common.core.enums.LimitType;
import org.redisson.api.RateIntervalUnit;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface RateLimiter {
    // 限流key
    String key() default "rate_limit:";

    // 限流时间，单位秒
    int time() default 60;

    // 限流时间单位
    RateIntervalUnit unit() default RateIntervalUnit.SECONDS;

    // 限流次数
    int count() default 100;

    // 限流类型
    LimitType limitType() default LimitType.DEFAULT;
}
