package com.flow.flowable.behavior;

import com.flow.flowable.event.CustomFlowableEngineEvent;
import com.flow.flowable.event.CustomFlowableEventType;
import org.flowable.common.engine.api.delegate.Expression;
import org.flowable.common.engine.api.delegate.event.FlowableEventDispatcher;
import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.impl.bpmn.behavior.AbstractBpmnActivityBehavior;
import org.flowable.engine.impl.cfg.ProcessEngineConfigurationImpl;
import org.flowable.engine.impl.persistence.entity.ExecutionEntityImpl;
import org.flowable.engine.impl.util.CommandContextUtil;
import org.flowable.http.common.impl.ExpressionUtils;

import java.util.Objects;

public class MicroActivityBehavior extends AbstractBpmnActivityBehavior {
    private static final long serialVersionUID = 1L;
    protected Expression serviceId;
    protected Expression url;
    protected Expression method;
    protected Expression headers;
    protected Expression params;
    protected Expression body;
    protected Expression responseVariableName;

    @Override
    public void execute(DelegateExecution execution) {
        ProcessEngineConfigurationImpl processEngineConfiguration = CommandContextUtil.getProcessEngineConfiguration();
        // 发送请求
        String serviceId = ExpressionUtils.getStringFromField(this.serviceId, execution);
        String url = ExpressionUtils.getStringFromField(this.url, execution);
        String method = ExpressionUtils.getStringFromField(this.method, execution);
        String headers = ExpressionUtils.getStringFromField(this.headers, execution);
        String params = ExpressionUtils.getStringFromField(this.params, execution);
        String body = ExpressionUtils.getStringFromField(this.body, execution);
        String responseVariableName = ExpressionUtils.getStringFromField(this.responseVariableName, execution);


        // 发送事件
        FlowableEventDispatcher eventDispatcher = processEngineConfiguration.getEventDispatcher();
        if (Objects.nonNull(eventDispatcher) && eventDispatcher.isEnabled()) {
            CustomFlowableEngineEvent customFlowableEngineEvent = new CustomFlowableEngineEvent((ExecutionEntityImpl) execution, CustomFlowableEventType.MICRO_EXECUTE);
            eventDispatcher.dispatchEvent(customFlowableEngineEvent, processEngineConfiguration.getEngineCfgKey());
        }
        leave(execution);
    }
}
