package com.flow.flowable.behavior;

import com.flow.flowable.event.CustomFlowableEngineEvent;
import com.flow.flowable.event.CustomFlowableEventType;
import org.flowable.common.engine.api.delegate.Expression;
import org.flowable.common.engine.api.delegate.event.FlowableEventDispatcher;
import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.impl.bpmn.behavior.AbstractBpmnActivityBehavior;
import org.flowable.engine.impl.cfg.ProcessEngineConfigurationImpl;
import org.flowable.engine.impl.persistence.entity.ExecutionEntityImpl;
import org.flowable.engine.impl.util.CommandContextUtil;
import org.flowable.http.common.impl.ExpressionUtils;

import java.util.Objects;

public class MqActivityBehavior extends AbstractBpmnActivityBehavior {
    private static final long serialVersionUID = 1L;
    protected Expression queue;
    protected Expression params;

    @Override
    public void execute(DelegateExecution execution) {
        ProcessEngineConfigurationImpl processEngineConfiguration = CommandContextUtil.getProcessEngineConfiguration();
        // 发送消息
        String queue = ExpressionUtils.getStringFromField(this.queue, execution);
        String params = ExpressionUtils.getStringFromField(this.params, execution);


        // 发送事件
        FlowableEventDispatcher eventDispatcher = processEngineConfiguration.getEventDispatcher();
        if (Objects.nonNull(eventDispatcher) && eventDispatcher.isEnabled()) {
            CustomFlowableEngineEvent customFlowableEngineEvent = new CustomFlowableEngineEvent((ExecutionEntityImpl) execution, CustomFlowableEventType.MQ_SEND);
            eventDispatcher.dispatchEvent(customFlowableEngineEvent, processEngineConfiguration.getEngineCfgKey());
        }
        leave(execution);
    }
}
