package com.flow.flowable.cmd;

import org.flowable.common.engine.impl.interceptor.Command;
import org.flowable.common.engine.impl.interceptor.CommandContext;
import org.flowable.engine.impl.persistence.entity.ActivityInstanceEntity;
import org.flowable.engine.impl.persistence.entity.ActivityInstanceEntityManager;
import org.flowable.engine.impl.persistence.entity.HistoricActivityInstanceEntity;
import org.flowable.engine.impl.persistence.entity.HistoricActivityInstanceEntityManager;
import org.flowable.engine.impl.util.CommandContextUtil;

import java.util.List;

public class RecordActivityDeleteReasonCmd implements Command<Void> {
    protected String executionId;
    protected String activityId;
    protected String deleteReason;

    public RecordActivityDeleteReasonCmd(String executionId, String activityId, String deleteReason) {
        this.executionId = executionId;
        this.activityId = activityId;
        this.deleteReason = deleteReason;
    }


    @Override
    public Void execute(CommandContext commandContext) {
        ActivityInstanceEntityManager activityInstanceEntityManager = CommandContextUtil.getActivityInstanceEntityManager(commandContext);
        List<ActivityInstanceEntity> activityInstanceEntityList = activityInstanceEntityManager.findActivityInstancesByExecutionAndActivityId(this.executionId, this.activityId);
        for (ActivityInstanceEntity activityInstanceEntity : activityInstanceEntityList) {
            activityInstanceEntity.setDeleteReason(this.deleteReason);
            activityInstanceEntityManager.update(activityInstanceEntity);
        }
        HistoricActivityInstanceEntityManager historicActivityInstanceEntityManager = CommandContextUtil.getHistoricActivityInstanceEntityManager(commandContext);
        List<HistoricActivityInstanceEntity> historicActivityInstanceEntityList = historicActivityInstanceEntityManager.findHistoricActivityInstancesByExecutionAndActivityId(this.executionId, this.activityId);
        for (HistoricActivityInstanceEntity historicActivityInstanceEntity : historicActivityInstanceEntityList) {
            historicActivityInstanceEntity.setDeleteReason(this.deleteReason);
            historicActivityInstanceEntityManager.update(historicActivityInstanceEntity);
        }
        return null;
    }
}
