package com.flow.flowable.event;

import org.flowable.common.engine.api.delegate.event.FlowableEngineEventType;
import org.flowable.common.engine.impl.event.FlowableEngineEventImpl;
import org.flowable.engine.impl.persistence.entity.ExecutionEntityImpl;

public class CustomFlowableEngineEvent extends FlowableEngineEventImpl {
    protected ExecutionEntityImpl entity;
    protected CustomFlowableEventType customFlowableEventType;

    public CustomFlowableEngineEvent(ExecutionEntityImpl entity, CustomFlowableEventType type) {
        super(FlowableEngineEventType.CUSTOM);
        this.entity = entity;
        this.customFlowableEventType = type;
        super.setExecutionId(entity.getId());
        super.setProcessInstanceId(entity.getProcessInstanceId());
        super.setProcessDefinitionId(entity.getProcessDefinitionId());
    }

    public ExecutionEntityImpl getEntity() {
        return entity;
    }

    public void setEntity(ExecutionEntityImpl entity) {
        this.entity = entity;
    }

    public CustomFlowableEventType getCustomFlowableEventType() {
        return customFlowableEventType;
    }

    public void setCustomFlowableEventType(CustomFlowableEventType customFlowableEventType) {
        this.customFlowableEventType = customFlowableEventType;
    }
}
