package com.flow.flowable.expression;

import com.fasterxml.jackson.databind.node.ArrayNode;
import org.flowable.common.engine.api.variable.VariableContainer;
import org.flowable.common.engine.impl.el.function.AbstractFlowableVariableExpressionFunction;
import org.flowable.common.engine.impl.el.function.VariableContainsExpressionFunction;

import java.util.Arrays;
import java.util.Collection;

public class VariableContainsAllExpressionFunction extends AbstractFlowableVariableExpressionFunction {

    public VariableContainsAllExpressionFunction() {
        super(Arrays.asList("all", "containAll"), "containsAll");
    }

    public static boolean containsAll(VariableContainer variableContainer, String variableName, Object... values) {
        Object variableValue = getVariableValue(variableContainer, variableName);
        if (variableValue != null) {
            if (variableValue instanceof String) {
                return Arrays.stream(values).allMatch(value -> VariableContainsExpressionFunction.contains(variableContainer, variableValue.toString(), value));
            } else if (variableValue instanceof Collection) {
                Collection collectionVariableValue = (Collection) variableValue;
                return Arrays.stream(values).allMatch(value -> VariableContainsExpressionFunction.collectionContains(collectionVariableValue, value));
            } else if (variableValue instanceof ArrayNode) {
                ArrayNode arrayNodeVariableValue = (ArrayNode) variableValue;
                return Arrays.stream(values).allMatch(value -> VariableContainsExpressionFunction.arrayNodeContains(arrayNodeVariableValue, value));
            }
        }
        return false;
    }

}
