package com.flow.flowable.model;

import org.flowable.bpmn.model.ServiceTask;

import java.util.Map;

public class MicroServiceTask extends ServiceTask {
    protected String serviceId;
    protected String url;
    protected String method;
    protected Map<String, Object> headers;
    protected Map<String, Object> params;
    protected Map<String, Object> body;
    protected String responseVariableName;

    public MicroServiceTask() {
    }

    public String getServiceId() {
        return serviceId;
    }

    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public Map<String, Object> getHeaders() {
        return headers;
    }

    public void setHeaders(Map<String, Object> headers) {
        this.headers = headers;
    }

    public Map<String, Object> getParams() {
        return params;
    }

    public void setParams(Map<String, Object> params) {
        this.params = params;
    }

    public Map<String, Object> getBody() {
        return body;
    }

    public void setBody(Map<String, Object> body) {
        this.body = body;
    }

    public String getResponseVariableName() {
        return responseVariableName;
    }

    public void setResponseVariableName(String responseVariableName) {
        this.responseVariableName = responseVariableName;
    }

    public MicroServiceTask clone() {
        MicroServiceTask clone = new MicroServiceTask();
        clone.setValues(this);
        return clone;
    }


    public void setValues(MicroServiceTask otherElement) {
        super.setValues(otherElement);
        this.setServiceId(otherElement.getServiceId());
        this.setUrl(otherElement.getUrl());
        this.setMethod(otherElement.getMethod());
        this.setHeaders(otherElement.getHeaders());
        this.setParams(otherElement.getParams());
        this.setResponseVariableName(otherElement.getResponseVariableName());
    }
}
