package com.flow.flowable.parser.factory;

import com.flow.flowable.behavior.CopyActivityBehavior;
import com.flow.flowable.behavior.JumpActivityBehavior;
import com.flow.flowable.behavior.MicroActivityBehavior;
import com.flow.flowable.behavior.MqActivityBehavior;
import org.flowable.bpmn.model.ServiceTask;
import org.flowable.engine.impl.bpmn.helper.ClassDelegate;
import org.flowable.engine.impl.bpmn.parser.FieldDeclaration;
import org.flowable.engine.impl.bpmn.parser.factory.DefaultActivityBehaviorFactory;

import java.util.List;

public class CustomDefaultActivityBehaviorFactory extends DefaultActivityBehaviorFactory {


    public CopyActivityBehavior createCopyActivityBehavior(ServiceTask serviceTask) {
        List<FieldDeclaration> fieldDeclarations = super.createFieldDeclarations(serviceTask.getFieldExtensions());
        return (CopyActivityBehavior) ClassDelegate.defaultInstantiateDelegate(CopyActivityBehavior.class, fieldDeclarations);
    }

    public JumpActivityBehavior createJumpActivityBehavior(ServiceTask serviceTask) {
        List<FieldDeclaration> fieldDeclarations = super.createFieldDeclarations(serviceTask.getFieldExtensions());
        return (JumpActivityBehavior) ClassDelegate.defaultInstantiateDelegate(JumpActivityBehavior.class, fieldDeclarations);
    }

    public MicroActivityBehavior createMicroActivityBehavior(ServiceTask serviceTask) {
        List<FieldDeclaration> fieldDeclarations = super.createFieldDeclarations(serviceTask.getFieldExtensions());
        return (MicroActivityBehavior) ClassDelegate.defaultInstantiateDelegate(MicroActivityBehavior.class, fieldDeclarations);
    }

    public MqActivityBehavior createMqActivityBehavior(ServiceTask serviceTask) {
        List<FieldDeclaration> fieldDeclarations = super.createFieldDeclarations(serviceTask.getFieldExtensions());
        return (MqActivityBehavior) ClassDelegate.defaultInstantiateDelegate(MqActivityBehavior.class, fieldDeclarations);
    }

}
