package com.flow.flowable.parser.handler;

import com.flow.flowable.model.CopyServiceTask;
import com.flow.flowable.parser.factory.CustomDefaultActivityBehaviorFactory;
import org.flowable.bpmn.model.BaseElement;
import org.flowable.bpmn.model.ServiceTask;
import org.flowable.engine.impl.bpmn.parser.BpmnParse;
import org.flowable.engine.impl.bpmn.parser.handler.AbstractActivityBpmnParseHandler;

public class CopyServiceTaskParseHandler extends AbstractActivityBpmnParseHandler<ServiceTask> {
    @Override
    public Class<? extends BaseElement> getHandledType() {
        return CopyServiceTask.class;
    }

    @Override
    protected void executeParse(BpmnParse bpmnParse, ServiceTask serviceTask) {
        CustomDefaultActivityBehaviorFactory activityBehaviorFactory = (CustomDefaultActivityBehaviorFactory) bpmnParse.getActivityBehaviorFactory();
        serviceTask.setBehavior(activityBehaviorFactory.createCopyActivityBehavior(serviceTask));
    }

}
