package com.flow.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.flow.enums.NotifyEnum;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.Map;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "sys_notify", autoResultMap = true)
public class Notify {
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(type = IdType.AUTO)
    private Long id;
    @TableField(condition = SqlCondition.LIKE)
    private String subject;
    @TableField(condition = SqlCondition.LIKE)
    private String content;
    private String sender;
    private String receiver;
    private NotifyEnum type;
    private LocalDateTime receivingTime;
    private Boolean isRead;
    private Boolean archived;
    private String url;
    @TableField(typeHandler = JacksonTypeHandler.class)
    private Map<String, Object> params;

    public Notify(Long id, NotifyEnum type, LocalDateTime receivingTime, String subject, String content, String sender, String url, String receiver) {
        this.id = id;
        this.subject = subject;
        this.content = content;
        this.sender = sender;
        this.receiver = receiver;
        this.type = type;
        this.receivingTime = receivingTime;
        this.url = url;
    }
}
