package com.flow.mapstruct;

import com.flow.common.core.exception.BaseException;
import com.flow.entity.Notify;
import com.flow.enums.NotifyEnum;
import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.time.LocalDateTime;

/**
 *
 * @author fyc
 * @email yuchuan.fu@chinausky.com
 * @date 2025/5/15
 */
public class NotifyRowMapper implements RowMapper<Notify> {
    @Override
    public Notify mapRow(ResultSet rs, int rowNum) throws SQLException {
        Long id = rs.getLong("id");
        String typeStr = rs.getString("type");
        LocalDateTime receivingTime = rs.getTimestamp("receiving_time").toLocalDateTime();
        String subject = rs.getString("subject");
        String content = rs.getString("content");
        String sender = rs.getString("sender");
        String receiver = rs.getString("receiver");
        String url = rs.getString("url");


        NotifyEnum type = NotifyEnum.match(typeStr);
        if (type == null) {
            throw new BaseException("未知的type值：" + typeStr);
        }

        return new Notify(id, type, receivingTime, subject, content, sender, url, receiver);
    }
}