package com.flow.controller;

import com.flow.common.core.model.Result;
import com.flow.entity.User;
import com.flow.model.*;
import com.flow.service.AuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/auth")
public class AuthController {
    @Autowired
    private AuthService authService;

    @GetMapping("/code")
    public Result<ImageCode> getImageCode() {
        return Result.success(authService.getImageCode());
    }
    @PostMapping("/login")
    public Result<AccessToken> login(@RequestBody LoginForm loginForm) {
        return Result.success(authService.login(loginForm));
    }

    // 盐值登录
    //@CrossOrigin(origins = "http://192.168.10.140:9089")
    @PostMapping("/saltLogin")
    public Result<AccessToken> saltLogin(@RequestBody SaltLogin salt) {
        return Result.success(authService.saltLogin(salt));
    }

    // 获取时间戳
    //@CrossOrigin(origins = "http://192.168.10.140:9089")
    @GetMapping("/getTimeStamp")
    public Result<Long> getTimeStamp() {
        return Result.success(authService.getTimeStamp());
    }

    @PostMapping("/logout")
    public Result<?> logout() {
        authService.logout();
        return Result.success();
    }

    @GetMapping("/info")
    public Result<User> info() {
        return Result.success(authService.info());
    }

    @GetMapping("/permissions")
    public Result<Permission> permissions() {
        return Result.success(authService.permissions());
    }

}
