package com.flow.service;


import com.flow.common.mybatis.service.BaseService;
import com.flow.entity.FlowDefine;
import com.flow.model.FormInfo;
import com.flow.model.StartProcess;

import java.util.List;
import java.util.Map;

public interface FlowDefineService extends BaseService<FlowDefine> {
    /**
     * 启动流程
     *
     * @param startProcess
     */
    void startProcess(StartProcess startProcess);

    /**
     * 流程定义列表
     *
     * @param flowDefine
     * @return
     */
    List<FlowDefine> list(FlowDefine flowDefine);

    /**
     * 挂起/启用
     *
     * @param defineId
     * @return
     */
    FlowDefine suspend(String defineId);

    /**
     * 获取流程定义
     *
     * @param defineId
     * @return
     */
    FlowDefine getDefine(String defineId);

    /**
     * 获取开始表单
     *
     * @param defineId
     * @return
     */
    FormInfo getStartForm(String defineId);

    /**
     * 暂存表单数据
     *
     * @param startProcess
     */
    void storeFormDataTemporarily(StartProcess startProcess);

    /**
     * 获取暂存表单数据
     *
     * @param defineId
     * @return
     */
    Map<String, Object> getFormDataTemporarily(String defineId);

}
