package com.flow.controller;

import com.flow.common.core.model.PageResult;
import com.flow.common.core.model.Result;
import com.flow.entity.ConnectorEntity;
import com.flow.model.ConnectorQuery;
import com.flow.service.ConnectorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/connector")
public class ConnectorController {
    @Autowired
    private ConnectorService connectorService;

    @PostMapping
    public Result<ConnectorEntity> create(@RequestBody ConnectorEntity connectorEntity) {
        return Result.success(connectorService.create(connectorEntity));
    }

    @PutMapping
    public Result<ConnectorEntity> update(@RequestBody ConnectorEntity connectorEntity) {
        return Result.success(connectorService.update(connectorEntity));
    }

    @GetMapping("/{id}")
    public Result<ConnectorEntity> get(@PathVariable Long id) {
        return Result.success(connectorService.get(id));
    }


    @GetMapping
    public Result<PageResult<ConnectorEntity>> query(ConnectorQuery connectorQuery) {
        return Result.success(connectorService.query(connectorQuery));
    }
}
