package com.flow.entity.form;

import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.flow.entity.node.FieldProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.Map;
import java.util.Objects;

@EqualsAndHashCode(callSuper = true)
@Data
public class Container extends Field {
    private Object value;
    private List<Field> children;

    @Override
    public void populateValue(Map<String, Object> variables) {
        if (CollectionUtils.isNotEmpty(children)) {
            children.forEach(child -> child.populateValue(variables));
        }
    }

    @Override
    public void populateProperty(FieldProperty fieldProperty) {
        if (Objects.nonNull(fieldProperty)) {
            this.setHidden(fieldProperty.getHidden());
            if (CollectionUtils.isNotEmpty(children)) {
                children.forEach(child -> child.populateProperty(fieldProperty));
            }
        }
    }
}
