package com.flow.entity.form;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.flow.entity.node.FieldProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;
import java.util.Map;
import java.util.Objects;


@EqualsAndHashCode(callSuper = true)
@Data
public class FormItem extends Field implements Serializable {
    private static final long serialVersionUID = 1L;
    private Object value;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private Boolean readonly;
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private Boolean required;
    private List<Object> rules;

    @Override
    public void populateValue(Map<String, Object> variables) {
        if (Objects.nonNull(variables)) {
            Object val = variables.get(this.getId());
            if (Objects.nonNull(val)) {
                this.value = val;
            }
        }
    }

    @Override
    public void populateProperty(FieldProperty fieldProperty) {
        if (Objects.nonNull(fieldProperty)) {
            this.setHidden(fieldProperty.getHidden());
            this.setReadonly(fieldProperty.getReadonly());
            this.setRequired(fieldProperty.getRequired());
        }
    }
}
