package com.flow.entity.node.connector;

import com.flow.flowable.utils.ProcessElementUtil;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.flowable.bpmn.model.ServiceTask;

import java.util.List;
import java.util.Map;

@EqualsAndHashCode(callSuper = true)
@Data
public class ClassConnector extends Connector {
    private String implementationType;
    private String implementation;
    private List<Map<String, String>> params;

    @Override
    public void initImpl(ServiceTask serviceTask) {
        serviceTask.setImplementationType(this.implementationType);
        serviceTask.setImplementation(this.implementation);
        for (Map<String, String> param : params) {
            ProcessElementUtil.setFieldExtensionExpression(serviceTask, param.get("key"), param.get("value"));
        }
    }
}
