package com.flow.entity.node.connector;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import lombok.Data;
import org.flowable.bpmn.model.ServiceTask;

@Data
@JsonTypeInfo(use = JsonTypeInfo.Id.NAME, property = "type", defaultImpl = Connector.class, visible = true)
@JsonSubTypes({
        @JsonSubTypes.Type(value = MqConnector.class, name = "mq"),
        @JsonSubTypes.Type(value = HttpConnector.class, name = "http"),
        @JsonSubTypes.Type(value = MicroConnector.class, name = "micro"),
        @JsonSubTypes.Type(value = ClassConnector.class, name = "class")
})
public abstract class Connector {
    private ConnectorType type;

    public abstract void initImpl(ServiceTask serviceTask);
}
