package com.flow.entity.node.connector;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.flow.common.core.exception.BaseException;
import com.flow.common.core.util.ApplicationContextUtil;
import com.flow.flowable.utils.ProcessElementUtil;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.flowable.bpmn.model.ImplementationType;
import org.flowable.bpmn.model.ServiceTask;

import java.util.List;
import java.util.Map;

@EqualsAndHashCode(callSuper = true)
@Data
public class MqConnector extends Connector {
    private String queue;
    protected List<Map<String, Object>> params;

    @Override
    public void initImpl(ServiceTask serviceTask) {
        try {
            serviceTask.setImplementationType(ImplementationType.IMPLEMENTATION_TYPE_DELEGATEEXPRESSION);
            serviceTask.setImplementation("${mqActivityBehavior}");
            ProcessElementUtil.setFieldExtensionExpression(serviceTask, "queue", this.queue);
            ObjectMapper objectMapper = ApplicationContextUtil.getBean(ObjectMapper.class);
            String params = objectMapper.writeValueAsString(this.params);
            ProcessElementUtil.setFieldExtensionExpression(serviceTask, "params", params);
        } catch (JsonProcessingException e) {
            throw new BaseException("MqTrigger params json error");
        }
    }
}
