package com.flow.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ProcessStatus {
    RUNNING(0, "进行中"),
    COMPLETED(1, "通过"),
    REVOKE(2, "撤销"),
    REFUSE(3, "拒绝"),
    REJECT(4, "回退"),
    HANGUP(5, "挂起");

    @JsonValue
    @EnumValue
    private final Integer status;
    private final String description;

    public static ProcessStatus match(Integer status) {
        for (ProcessStatus processStatus : ProcessStatus.values()) {
            if (processStatus.getStatus().equals(status)) {
                return processStatus;
            }
        }
        return null;
    }
}
