CREATE TABLE "OAUTH_CLIENT_DETAILS"
(
    "CLIENT_ID" VARCHAR2(256 CHAR) NOT NULL,
    "RESOURCE_IDS" VARCHAR2(256 CHAR) DEFAULT NULL,
    "CLIENT_SECRET" VARCHAR2(256 CHAR) DEFAULT NULL,
    "SCOPE" VARCHAR2(256 CHAR) DEFAULT NULL,
    "AUTHORIZED_GRANT_TYPES" VARCHAR2(256 CHAR) DEFAULT NULL,
    "WEB_SERVER_REDIRECT_URI" VARCHAR2(256 CHAR) DEFAULT NULL,
    "AUTHORITIES" VARCHAR2(256 CHAR) DEFAULT NULL,
    "ACCESS_TOKEN_VALIDITY" NUMBER(10,0) DEFAULT NULL,
    "REFRESH_TOKEN_VALIDITY" NUMBER(10,0) DEFAULT NULL,
    "ADDITIONAL_INFORMATION" CLOB DEFAULT NULL,
    "AUTOAPPROVE" VARCHAR2(256 CHAR) DEFAULT NULL,
    CONSTRAINT "OAUTH_CLIENT_DETAILS_PK" NOT CLUSTER PRIMARY KEY("CLIENT_ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "OAUTH_CLIENT_DETAILS" IS 'OAuth 客户端详情表';
COMMENT ON COLUMN "OAUTH_CLIENT_DETAILS"."ACCESS_TOKEN_VALIDITY" IS '访问令牌有效期';
COMMENT ON COLUMN "OAUTH_CLIENT_DETAILS"."ADDITIONAL_INFORMATION" IS '附加信息';
COMMENT ON COLUMN "OAUTH_CLIENT_DETAILS"."AUTHORITIES" IS '权限';
COMMENT ON COLUMN "OAUTH_CLIENT_DETAILS"."AUTHORIZED_GRANT_TYPES" IS '授权类型';
COMMENT ON COLUMN "OAUTH_CLIENT_DETAILS"."AUTOAPPROVE" IS '设置用户是否自动Approval操作';
COMMENT ON COLUMN "OAUTH_CLIENT_DETAILS"."CLIENT_ID" IS '客户端ID';
COMMENT ON COLUMN "OAUTH_CLIENT_DETAILS"."CLIENT_SECRET" IS '客户端密钥';
COMMENT ON COLUMN "OAUTH_CLIENT_DETAILS"."REFRESH_TOKEN_VALIDITY" IS '刷新令牌有效期';
COMMENT ON COLUMN "OAUTH_CLIENT_DETAILS"."RESOURCE_IDS" IS '资源ID';
COMMENT ON COLUMN "OAUTH_CLIENT_DETAILS"."SCOPE" IS '授权范围';
COMMENT ON COLUMN "OAUTH_CLIENT_DETAILS"."WEB_SERVER_REDIRECT_URI" IS 'Web重定向URI';

insert into "OAUTH_CLIENT_DETAILS" ("CLIENT_ID", "RESOURCE_IDS", "CLIENT_SECRET", "SCOPE", "AUTHORIZED_GRANT_TYPES", "WEB_SERVER_REDIRECT_URI", "AUTHORITIES", "ACCESS_TOKEN_VALIDITY", "REFRESH_TOKEN_VALIDITY", "ADDITIONAL_INFORMATION", "AUTOAPPROVE") values ('client', 'flow-app', '$2a$10$F5GU8qUHdWVsoNVHjqN4c.EElCrBB7ywCiSDn3ibW4e4RdKyhe1PK', 'web', 'refresh_token,password,authorization_code', null, '', 43000, 2592000, '{}', '');

CREATE TABLE "SYS_DEPT"
(
    "ID" NUMBER(19,0) NOT NULL,
    "PID" NUMBER(19,0) DEFAULT 0 NOT NULL,
    "NAME" VARCHAR2(255 CHAR) NOT NULL,
    "SORT" NUMBER(10,0) NOT NULL,
    "LEADER" VARCHAR2(40 CHAR) DEFAULT NULL,
    "CREATED_BY" VARCHAR2(100 CHAR) NOT NULL,
    "UPDATED_BY" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "UPDATE_TIME" DATE DEFAULT NULL,
    CONSTRAINT "SYS_DEPT_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "SYS_DEPT" IS '部门';
COMMENT ON COLUMN "SYS_DEPT"."CREATED_BY" IS '创建者';
COMMENT ON COLUMN "SYS_DEPT"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "SYS_DEPT"."ID" IS 'id';
COMMENT ON COLUMN "SYS_DEPT"."LEADER" IS '负责人';
COMMENT ON COLUMN "SYS_DEPT"."NAME" IS '部门名称';
COMMENT ON COLUMN "SYS_DEPT"."PID" IS '上级部门';
COMMENT ON COLUMN "SYS_DEPT"."SORT" IS '排序';
COMMENT ON COLUMN "SYS_DEPT"."UPDATED_BY" IS '更新者';
COMMENT ON COLUMN "SYS_DEPT"."UPDATE_TIME" IS '更新时间';

insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1357882410670682114, 1538426269257986049, '开发部', 0, 'yangyingqiu', '1356976230017601538', 'admin', '2021-02-06', '2024-04-18');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1357882876154490881, 1538426198781095937, '销售部', 0, 'wumingjie', '1356976230017601538', 'admin', '2021-02-06', '2024-04-18');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1357882876154490882, 1357882410670682114, '开发一部', 0, 'shenhanlin', '1356976230017601538', 'admin', '2021-02-06', '2024-04-20');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538426048373354498, 0, '无名科技有限公司', 0, null, 'admin', 'liyuzhen', '2022-06-19', '2024-07-05');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538426198781095937, 1538426048373354498, '杭州总公司', 0, 'zhouyafu', 'admin', 'admin', '2022-06-19', '2024-04-18');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538426269257986049, 1538426048373354498, '宁波分公司', 1, 'shenhanlin', 'admin', 'admin', '2022-06-19', '2024-04-18');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538426418701037570, 1538426198781095937, '市场部', 1, 'admin', 'admin', 'admin', '2022-06-19', '2024-04-20');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538426483670806530, 1538426198781095937, '开发部', 2, 'yaotong', 'admin', 'admin', '2022-06-19', '2024-04-20');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538426509662908418, 1538426198781095937, '运维部', 3, 'matao', 'admin', 'admin', '2022-06-19', '2024-04-20');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538426603464323074, 1538426269257986049, '销售部', 1, null, 'admin', 'admin', '2022-06-19', '2022-06-19');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538426719302610945, 1538426198781095937, '财务部', 4, 'zhengfei', 'admin', 'admin', '2022-06-19', '2024-04-20');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538426749530959874, 1538426198781095937, '研发部门', 5, null, 'admin', 'admin', '2022-06-19', '2022-06-19');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538426900681093121, 1538426048373354498, '上海分公司', 2, 'yaotong', 'admin', 'admin', '2022-06-19', '2024-04-18');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538426930959773697, 1538426900681093121, '销售部', 0, null, 'admin', 'admin', '2022-06-19', '2022-06-19');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538427000094486529, 1538426048373354498, '华北分部', 3, 'wufeihong', 'admin', 'admin', '2022-06-19', '2024-04-18');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538427031631458306, 1538427000094486529, '销售部', 0, 'caiyan', 'admin', 'admin', '2022-06-19', '2024-04-18');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538427101365956610, 1538426048373354498, '华西分部', 4, 'wumingjie', 'admin', 'liyuzhen', '2022-06-19', '2024-07-09');
insert into "SYS_DEPT" ("ID", "PID", "NAME", "SORT", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1538427176800514050, 1538427101365956610, '销售部', 0, null, 'admin', 'admin', '2022-06-19', '2022-06-19');



CREATE TABLE "SYS_DICT"
(
    "ID" NUMBER(19,0) NOT NULL,
    "CODE" VARCHAR2(100 CHAR) NOT NULL,
    "NAME" VARCHAR2(150 CHAR) NOT NULL,
    "DESCRIPTION" VARCHAR2(255 CHAR) DEFAULT NULL,
    "CREATED_BY" VARCHAR2(100 CHAR) NOT NULL,
    "UPDATED_BY" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "UPDATE_TIME" DATE DEFAULT NULL,
    CONSTRAINT "SYS_DICT_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "SYS_DICT" IS '字典';
COMMENT ON COLUMN "SYS_DICT"."CODE" IS '编号';
COMMENT ON COLUMN "SYS_DICT"."CREATED_BY" IS '创建者';
COMMENT ON COLUMN "SYS_DICT"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "SYS_DICT"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "SYS_DICT"."ID" IS 'id';
COMMENT ON COLUMN "SYS_DICT"."NAME" IS '字典名称';
COMMENT ON COLUMN "SYS_DICT"."UPDATED_BY" IS '更新者';
COMMENT ON COLUMN "SYS_DICT"."UPDATE_TIME" IS '更新时间';

insert into "SYS_DICT" ("ID", "CODE", "NAME", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1, 'system', '服务模块', '服务模块2', '1356976230017601538', 'admin', '2021-12-19', '2024-03-28');
insert into "SYS_DICT" ("ID", "CODE", "NAME", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1611331866129420290, 'notify_type', '消息通知类型', '消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型', 'admin', 'admin', '2023-01-06', '2024-03-28');


CREATE TABLE "SYS_DICT_DETAIL"
(
    "ID" NUMBER(19,0) NOT NULL,
    "DICT_CODE" VARCHAR2(100 CHAR) NOT NULL,
    "LABEL" VARCHAR2(255 CHAR) NOT NULL,
    "VALUE" VARCHAR2(255 CHAR) NOT NULL,
    "SORT" NUMBER(10,0) DEFAULT 0 NOT NULL,
    "CREATED_BY" VARCHAR2(100 CHAR) NOT NULL,
    "UPDATED_BY" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "UPDATE_TIME" DATE DEFAULT NULL,
    CONSTRAINT "SYS_DICT_DETAIL_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "SYS_DICT_DETAIL" IS '字典明细';
COMMENT ON COLUMN "SYS_DICT_DETAIL"."CREATED_BY" IS '创建者';
COMMENT ON COLUMN "SYS_DICT_DETAIL"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "SYS_DICT_DETAIL"."DICT_CODE" IS '字典id';
COMMENT ON COLUMN "SYS_DICT_DETAIL"."ID" IS 'id';
COMMENT ON COLUMN "SYS_DICT_DETAIL"."LABEL" IS '字典标签';
COMMENT ON COLUMN "SYS_DICT_DETAIL"."SORT" IS '排序';
COMMENT ON COLUMN "SYS_DICT_DETAIL"."UPDATED_BY" IS '更新者';
COMMENT ON COLUMN "SYS_DICT_DETAIL"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "SYS_DICT_DETAIL"."VALUE" IS '字典值';

insert into "SYS_DICT_DETAIL" ("ID", "DICT_CODE", "LABEL", "VALUE", "SORT", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1611331993917280257, 'notify_type', '代办', 'agency', 999, 'admin', 'admin', '2023-01-06', '2023-01-06');
insert into "SYS_DICT_DETAIL" ("ID", "DICT_CODE", "LABEL", "VALUE", "SORT", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1611332573649784834, 'notify_type', '公告', 'notice', 999, 'admin', 'admin', '2023-01-06', '2023-01-06');
insert into "SYS_DICT_DETAIL" ("ID", "DICT_CODE", "LABEL", "VALUE", "SORT", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1611332725118685186, 'notify_type', '通知', 'notify', 999, 'admin', 'admin', '2023-01-06', '2023-01-06');
insert into "SYS_DICT_DETAIL" ("ID", "DICT_CODE", "LABEL", "VALUE", "SORT", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1611332756219449345, 'notify_type', '消息', 'message', 999, 'admin', null, '2023-01-06', null);
insert into "SYS_DICT_DETAIL" ("ID", "DICT_CODE", "LABEL", "VALUE", "SORT", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1611334000531034113, 'notify_type', '其他', 'other', 999, 'admin', null, '2023-01-06', null);


CREATE TABLE "SYS_FILE"
(
    "ID" NUMBER(19,0) NOT NULL,
    "NAME" VARCHAR2(255 CHAR) NOT NULL,
    "REAL_NAME" VARCHAR2(255 CHAR) NOT NULL,
    "PATH" VARCHAR2(255 CHAR) NOT NULL,
    "URL" VARCHAR2(255 CHAR) NOT NULL,
    "TYPE" VARCHAR2(255 CHAR) NOT NULL,
    "CATEGORY" VARCHAR2(50 CHAR) NOT NULL,
    "MD5" VARCHAR2(255 CHAR) NOT NULL,
    "SIZE" NUMBER(19,0) NOT NULL,
    "CREATED_BY" VARCHAR2(100 CHAR) NOT NULL,
    "UPDATED_BY" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "UPDATE_TIME" DATE DEFAULT NULL,
    CONSTRAINT "SYS_FILE_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "SYS_FILE" IS '文件';
COMMENT ON COLUMN "SYS_FILE"."CATEGORY" IS '类别';
COMMENT ON COLUMN "SYS_FILE"."CREATED_BY" IS '创建者';
COMMENT ON COLUMN "SYS_FILE"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "SYS_FILE"."ID" IS 'id';
COMMENT ON COLUMN "SYS_FILE"."MD5" IS 'md5';
COMMENT ON COLUMN "SYS_FILE"."NAME" IS '文件名称';
COMMENT ON COLUMN "SYS_FILE"."PATH" IS '路径';
COMMENT ON COLUMN "SYS_FILE"."REAL_NAME" IS '真实文件名称';
COMMENT ON COLUMN "SYS_FILE"."SIZE" IS '大小';
COMMENT ON COLUMN "SYS_FILE"."TYPE" IS '类型';
COMMENT ON COLUMN "SYS_FILE"."UPDATED_BY" IS '更新者';
COMMENT ON COLUMN "SYS_FILE"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "SYS_FILE"."URL" IS '预览地址';


CREATE TABLE "SYS_MENU"
(
    "ID" NUMBER(19,0) NOT NULL,
    "PID" NUMBER(19,0) DEFAULT 0 NOT NULL,
    "TYPE" NUMBER(10,0) DEFAULT 0 NOT NULL,
    "NAME" VARCHAR2(50 CHAR) DEFAULT NULL,
    "SORT" NUMBER(10,0) DEFAULT 0 NOT NULL,
    "PATH" VARCHAR2(100 CHAR) DEFAULT NULL,
    "COMPONENT" VARCHAR2(150 CHAR) DEFAULT NULL,
    "REDIRECT" VARCHAR2(100 CHAR) DEFAULT NULL,
    "TITLE" VARCHAR2(100 CHAR) NOT NULL,
    "ICON" VARCHAR2(50 CHAR) DEFAULT NULL,
    "KEEP_ALIVE" NUMBER(3,0) DEFAULT NULL,
    "HIDDEN" NUMBER(3,0) DEFAULT NULL,
    "AFFIX" NUMBER(3,0) DEFAULT NULL,
    "ACTIVE_MENU" VARCHAR2(100 CHAR) DEFAULT NULL,
    "PERMISSION" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATED_BY" VARCHAR2(100 CHAR) NOT NULL,
    "UPDATED_BY" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATE_TIME" TIMESTAMP(0) NOT NULL,
    "UPDATE_TIME" TIMESTAMP(0) DEFAULT NULL,
    CONSTRAINT "SYS_MENU_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "SYS_MENU" IS '菜单';
COMMENT ON COLUMN "SYS_MENU"."ACTIVE_MENU" IS '活动菜单';
COMMENT ON COLUMN "SYS_MENU"."AFFIX" IS '固定';
COMMENT ON COLUMN "SYS_MENU"."COMPONENT" IS '组件路径';
COMMENT ON COLUMN "SYS_MENU"."CREATED_BY" IS '创建者';
COMMENT ON COLUMN "SYS_MENU"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "SYS_MENU"."HIDDEN" IS '隐藏';
COMMENT ON COLUMN "SYS_MENU"."ICON" IS '图标';
COMMENT ON COLUMN "SYS_MENU"."ID" IS 'id';
COMMENT ON COLUMN "SYS_MENU"."KEEP_ALIVE" IS '缓存';
COMMENT ON COLUMN "SYS_MENU"."NAME" IS '路由名称';
COMMENT ON COLUMN "SYS_MENU"."PATH" IS '路径';
COMMENT ON COLUMN "SYS_MENU"."PERMISSION" IS '权限标识符';
COMMENT ON COLUMN "SYS_MENU"."PID" IS '上级菜单ID';
COMMENT ON COLUMN "SYS_MENU"."REDIRECT" IS '重定向地址';
COMMENT ON COLUMN "SYS_MENU"."SORT" IS '排序';
COMMENT ON COLUMN "SYS_MENU"."TITLE" IS '标题';
COMMENT ON COLUMN "SYS_MENU"."TYPE" IS '菜单类型（0：目录、1：菜单、2：按钮）';
COMMENT ON COLUMN "SYS_MENU"."UPDATED_BY" IS '更新者';
COMMENT ON COLUMN "SYS_MENU"."UPDATE_TIME" IS '更新时间';

insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1503734603045699586, 0, 0, 'system', 0, '/system', null, '/system/user', '系统管理', 'el:Tools', 0, 0, 0, null, null, '1356976230017601538', 'admin', '2022-03-15 14:07:22', '2023-10-10 11:06:44');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1504096722349985794, 1503734603045699586, 1, 'menu', 2, '/system/menu', 'system/menu/index', null, '菜单管理', 'el:Menu', 1, 0, 0, null, null, '1356976230017601538', 'admin', '2022-03-16 14:06:18', '2023-08-23 15:57:26');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1693455825024659457, 1503734603045699586, 1, 'org', 1, '/system/org', 'system/dept/index', null, '组织管理', 'el:School', 1, 0, 0, null, null, 'admin', 'admin', '2023-08-21 10:51:46', '2024-04-19 18:09:13');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1693456041102618626, 1503734603045699586, 1, 'user', 0, '/system/user', 'system/user/index', null, '用户管理', 'el:User', 1, 0, 0, null, null, 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695693169157025794, 1503734603045699586, 1, 'dict', 4, '/system/dict', 'system/dict/index', null, '数据字典', 'el:Coin', 1, 0, 0, null, null, 'admin', null, '2023-08-27 15:02:11', null);
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695693439907737601, 1503734603045699586, 1, 'role', 3, '/system/role', 'system/role/index', null, '角色管理', 'el:UserFilled', 1, 0, 0, null, null, 'admin', null, '2023-08-27 15:03:15', null);
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695988578345627650, 1693456041102618626, 2, null, 0, null, null, null, '删除', null, 0, 0, 0, null, 'user:del', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695988781563850754, 1693456041102618626, 2, null, 1, null, null, null, '编辑', null, 0, 0, 0, null, 'user:edit', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695988916507193345, 1693456041102618626, 2, null, 2, null, null, null, '重置密码', null, 0, 0, 0, null, 'user:resetPwd', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695989155200839682, 1693455825024659457, 2, null, 0, null, null, null, '编辑', null, 0, 0, 0, null, 'dept:edit', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695989229754593281, 1693455825024659457, 2, null, 1, null, null, null, '删除', null, 0, 0, 0, null, 'dept:del', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695989380925698050, 1504096722349985794, 2, null, 0, null, null, null, '编辑', null, 0, 0, 0, null, 'menu:edit', 'admin', 'admin', '2023-08-21 10:52:38', '2024-05-22 22:23:11');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695989447397027841, 1504096722349985794, 2, null, 1, null, null, null, '删除', null, 0, 0, 0, null, 'menu:del', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695989603978784770, 1695693439907737601, 2, null, 0, null, null, null, '编辑', null, 0, 0, 0, null, 'role:edit', 'admin', 'admin', '2023-08-21 10:52:38', '2024-05-22 22:16:52');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695989665383395330, 1695693439907737601, 2, null, 1, null, null, null, '删除', null, 0, 0, 0, null, 'role:del', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695989809222856705, 1695693169157025794, 2, null, 0, null, null, null, '编辑', null, 0, 0, 0, null, 'dict:edit', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1695989885240422402, 1695693169157025794, 2, null, 1, null, null, null, '删除', null, 0, 0, 0, null, 'dict:del', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1698578500009144321, 1693456041102618626, 2, null, 999, null, null, null, '文件上传', null, 0, 0, 0, null, 'storage:upload', 'admin', null, '2023-09-04 14:07:27', null);
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1707618131277631489, 0, 0, 'flow', 1, '/flow', null, '/flow/model', '流程管理', 'org', 0, 0, 0, null, null, 'admin', 'admin', '2023-09-29 12:47:43', '2023-09-29 12:47:58');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1707619093492912130, 1707618131277631489, 1, 'Model', 1, '/flow/model', 'flow/model/index', null, '流程模型', 'el:GoodsFilled', 1, 0, 0, null, null, 'admin', 'admin', '2023-08-16 21:30:02', '2024-03-28 20:51:53');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1711931297412202497, 1713025685109346306, 1, 'Define', 0, '/flow/define', 'flow/define/index', null, '发起流程', 'el:List', 1, 0, 0, null, null, 'admin', 'admin', '2023-10-11 10:26:42', '2024-03-28 20:51:20');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1713025685109346306, 0, 0, 'task', 2, '/task', null, '/flow/define', '我的事务', 'el:UserFilled', 0, 0, 0, null, null, 'admin', 'admin', '2023-10-14 10:55:24', '2024-03-30 17:58:01');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1713026381678383105, 1713025685109346306, 1, 'todo', 1, '/flow/todo', 'flow/todo/index', null, '我的代办', 'component', 1, 0, 0, null, null, 'admin', 'admin', '2023-10-14 10:58:11', '2023-10-14 13:39:09');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1713029617319677954, 1713025685109346306, 1, 'done', 2, '/flow/done', 'flow/done/index', null, '已办任务', 'valid-code', 1, 0, 0, null, null, 'admin', 'admin', '2023-10-14 11:11:02', '2023-10-14 13:39:19');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1716830110782373884, 0, 1, 'filmVideo', 3, '/tools/filmVideo', 'tools/filmVideo/index', null, '影视', 'org', 1, 0, 0, null, null, 'admin', 'admin', '2023-10-24 22:52:50', '2024-03-30 15:03:17');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1716830110782373886, 1713025685109346306, 1, 'Copy', 4, '/flow/copy', 'flow/copy/index', null, '抄送我的', 'el:Promotion', 1, 0, 0, null, null, 'admin', 'admin', '2023-10-24 22:52:50', '2024-11-17 15:32:56');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1716830110782373889, 1713025685109346306, 1, 'Submit', 3, '/flow/submit', 'flow/submit/index', null, '我发起的', 'org', 1, 0, 0, null, null, 'admin', 'admin', '2023-10-24 22:52:50', '2024-11-17 15:24:59');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1719011859289968643, 1504096722349985794, 2, '', 99, '', '', '', '添加', '', 0, 0, 0, '', 'menu:add', 'admin', 'admin', '2024-05-22 22:25:02', '2024-05-22 22:25:15');
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1719011859289968644, 1693455825024659457, 2, '', 99, '', '', '', '添加', '', 0, 0, 0, '', 'dept:add', 'admin', null, '2024-05-22 22:25:31', null);
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1719011859289968645, 1695693439907737601, 2, '', 99, '', '', '', '添加', '', 0, 0, 0, '', 'role:add', 'admin', null, '2024-05-22 22:25:50', null);
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1719011859289968646, 1695693169157025794, 2, '', 99, '', '', '', '添加', '', 0, 0, 0, '', 'dict:add', 'admin', null, '2024-05-22 22:26:03', null);
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1719011859289968647, 1693456041102618626, 2, '', 99, '', '', '', '添加', '', 0, 0, 0, '', 'user:add', 'admin', null, '2024-05-22 22:26:25', null);
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1719011859289968651, 0, 0, 'report', 99, '/report', '', null, '数据报表', 'el:ChromeFilled', 0, 0, 0, '', '', 'admin', null, '2024-07-22 20:23:22', null);
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1719011859289968652, 1719011859289968651, 1, 'Datasource', 99, '/report/datasource', 'report/datasource/index', '', '数据源', 'el:DocumentCopy', 1, 0, 0, null, '', 'admin', null, '2024-07-22 20:24:13', null);
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1719011859289968653, 1719011859289968651, 1, 'list', 99, '/list', 'report/list/index', null, '数据打印', 'el:Sugar', 1, 0, 0, null, '', 'admin', null, '2024-07-22 22:47:24', null);
insert into "SYS_MENU" ("ID", "PID", "TYPE", "NAME", "SORT", "PATH", "COMPONENT", "REDIRECT", "TITLE", "ICON", "KEEP_ALIVE", "HIDDEN", "AFFIX", "ACTIVE_MENU", "PERMISSION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1719011859289968658, 1707618131277631489, 1, 'me', 99, '/flow/instance', 'flow/instance/index', null, '流程数据', 'el:Histogram', 1, 0, 0, null, '', 'admin', 'admin', '2024-09-04 14:50:27', '2024-11-17 15:38:26');


CREATE TABLE "SYS_NOTIFY"
(
    "ID" NUMBER(19,0) NOT NULL,
    "SUBJECT" VARCHAR2(255 CHAR) NOT NULL,
    "CONTENT" CLOB NOT NULL,
    "SENDER" VARCHAR2(40 CHAR) NOT NULL,
    "RECEIVER" VARCHAR2(40 CHAR) NOT NULL,
    "TYPE" VARCHAR2(50 CHAR) NOT NULL,
    "RECEIVING_TIME" DATE NOT NULL,
    "IS_READ" NUMBER(3,0) DEFAULT 0 NOT NULL,
    "ARCHIVED" NUMBER(3,0) DEFAULT 0 NOT NULL,
    "URL" VARCHAR2(255 CHAR) DEFAULT NULL,
    "PARAMS" CLOB DEFAULT NULL,
    CONSTRAINT "SYS_NOTIFY_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "SYS_NOTIFY" IS '通知';
COMMENT ON COLUMN "SYS_NOTIFY"."ARCHIVED" IS '是否归档';
COMMENT ON COLUMN "SYS_NOTIFY"."CONTENT" IS '内容';
COMMENT ON COLUMN "SYS_NOTIFY"."ID" IS 'id';
COMMENT ON COLUMN "SYS_NOTIFY"."IS_READ" IS '是否已读';
COMMENT ON COLUMN "SYS_NOTIFY"."PARAMS" IS '跳转参数';
COMMENT ON COLUMN "SYS_NOTIFY"."RECEIVER" IS '接收者';
COMMENT ON COLUMN "SYS_NOTIFY"."RECEIVING_TIME" IS '接收时间';
COMMENT ON COLUMN "SYS_NOTIFY"."SENDER" IS '发送者';
COMMENT ON COLUMN "SYS_NOTIFY"."SUBJECT" IS '主题';
COMMENT ON COLUMN "SYS_NOTIFY"."TYPE" IS '类型';
COMMENT ON COLUMN "SYS_NOTIFY"."URL" IS '跳转url';


CREATE TABLE "SYS_ROLE"
(
    "ID" NUMBER(19,0) NOT NULL,
    "CODE" VARCHAR2(255 CHAR) NOT NULL,
    "NAME" VARCHAR2(255 CHAR) NOT NULL,
    "DATA_SCOPE" NUMBER(10,0) DEFAULT 0 NOT NULL,
    "DESCRIPTION" VARCHAR2(255 CHAR) DEFAULT NULL,
    "CREATED_BY" VARCHAR2(100 CHAR) NOT NULL,
    "UPDATED_BY" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATE_TIME" TIMESTAMP(0) NOT NULL,
    "UPDATE_TIME" TIMESTAMP(0) DEFAULT NULL,
    CONSTRAINT "SYS_ROLE_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "SYS_ROLE" IS '角色';
COMMENT ON COLUMN "SYS_ROLE"."CODE" IS '编号';
COMMENT ON COLUMN "SYS_ROLE"."CREATED_BY" IS '创建者';
COMMENT ON COLUMN "SYS_ROLE"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "SYS_ROLE"."DATA_SCOPE" IS '数据权限';
COMMENT ON COLUMN "SYS_ROLE"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "SYS_ROLE"."ID" IS 'id';
COMMENT ON COLUMN "SYS_ROLE"."NAME" IS '名称';
COMMENT ON COLUMN "SYS_ROLE"."UPDATED_BY" IS '更新者';
COMMENT ON COLUMN "SYS_ROLE"."UPDATE_TIME" IS '更新时间';

insert into "SYS_ROLE" ("ID", "CODE", "NAME", "DATA_SCOPE", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1357290971101491202, '管理员', '管理员', 0, '描述', 'admin', 'admin', '2021-02-04 19:32:39', '2024-11-27 15:40:13');
insert into "SYS_ROLE" ("ID", "CODE", "NAME", "DATA_SCOPE", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1357291099820486658, '普通用户', '普通用户', 1, '描述', 'admin', 'admin', '2021-02-04 19:33:10', '2024-11-27 15:40:17');
insert into "SYS_ROLE" ("ID", "CODE", "NAME", "DATA_SCOPE", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1357291137174958082, '超级管理员', '超级管理员', 0, '描述', 'admin', 'admin', '2021-02-04 19:33:19', '2024-11-27 15:40:21');
insert into "SYS_ROLE" ("ID", "CODE", "NAME", "DATA_SCOPE", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1568873508431171585, '项目经理', '项目经理', 1, '管理项目', 'admin', 'admin', '2022-09-11 16:06:07', '2023-08-30 12:16:15');
insert into "SYS_ROLE" ("ID", "CODE", "NAME", "DATA_SCOPE", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1568873622256193537, 'OA管理员', 'OA管理员', 1, '描述', 'admin', 'admin', '2022-09-11 16:06:34', '2024-03-31 23:25:27');
insert into "SYS_ROLE" ("ID", "CODE", "NAME", "DATA_SCOPE", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1607772303980032001, '游客', '游客', 0, '游客权限', 'admin', 'admin', '2022-12-28 00:16:03', '2024-11-27 15:40:33');
insert into "SYS_ROLE" ("ID", "CODE", "NAME", "DATA_SCOPE", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1701429262296887297, '产品经理', '产品经理', 1, null, 'admin', null, '2023-09-12 10:55:22', null);
insert into "SYS_ROLE" ("ID", "CODE", "NAME", "DATA_SCOPE", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1701429320358637570, 'CEO', 'CEO', 1, null, 'admin', null, '2023-09-12 10:55:36', null);
insert into "SYS_ROLE" ("ID", "CODE", "NAME", "DATA_SCOPE", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1701429410515202049, '客服经理', '客服经理', 1, null, 'admin', null, '2023-09-12 10:55:57', null);
insert into "SYS_ROLE" ("ID", "CODE", "NAME", "DATA_SCOPE", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1701429501409964034, '开发组长', '开发组长', 1, null, 'admin', null, '2023-09-12 10:56:19', null);
insert into "SYS_ROLE" ("ID", "CODE", "NAME", "DATA_SCOPE", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1701429689369309186, '网站管理员', '网站管理员', 1, null, 'admin', null, '2023-09-12 10:57:04', null);
insert into "SYS_ROLE" ("ID", "CODE", "NAME", "DATA_SCOPE", "DESCRIPTION", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1701429813977886721, '前端开发', '前端开发', 1, null, 'admin', null, '2023-09-12 10:57:33', null);


CREATE TABLE "SYS_ROLE_MENU"
(
    "ROLE_ID" NUMBER(19,0) NOT NULL,
    "MENU_ID" NUMBER(19,0) NOT NULL,
    CONSTRAINT "SYS_ROLE_MENU_PK" NOT CLUSTER PRIMARY KEY("ROLE_ID", "MENU_ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "SYS_ROLE_MENU" IS '角色菜单';
COMMENT ON COLUMN "SYS_ROLE_MENU"."MENU_ID" IS '菜单id';
COMMENT ON COLUMN "SYS_ROLE_MENU"."ROLE_ID" IS '角色id';

insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1503734603045699586);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1504096722349985794);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1691804508017930242);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1691805323340296193);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1691807004912267266);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1691807701766516738);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1691808141451210753);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1691808471127699458);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1691808842160025601);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1691809070145613826);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1691809238173626370);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1691809637727219714);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1691809827611750402);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1691809987955798018);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1692910220429234177);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1693455825024659457);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1693456041102618626);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695693169157025794);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695693439907737601);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695988578345627650);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695988781563850754);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695988916507193345);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695989155200839682);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695989229754593281);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695989380925698050);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695989447397027841);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695989603978784770);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695989665383395330);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695989809222856705);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1695989885240422402);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1698578500009144321);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1704313720096239617);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1707618131277631489);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1707619093492912130);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1711931297412202497);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1713025685109346306);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1713026381678383105);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1713029617319677954);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1716830110782373884);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1716830110782373886);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1716830110782373889);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1719011859289968643);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1719011859289968644);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1719011859289968645);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1719011859289968646);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1719011859289968647);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1719011859289968658);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357290971101491202, 1719011859289968659);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1503734603045699586);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1504096722349985794);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1691804508017930242);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1691805323340296193);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1691807004912267266);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1691807701766516738);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1691808141451210753);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1691808471127699458);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1691808842160025601);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1691809070145613826);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1691809238173626370);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1691809637727219714);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1691809827611750402);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1691809987955798018);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1692910220429234177);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1693455825024659457);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1693456041102618626);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1695693169157025794);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1695693439907737601);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1704313720096239617);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1707618131277631489);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1707619093492912130);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1711931297412202497);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1713025685109346306);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1713026381678383105);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1713029617319677954);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1716830110782373886);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1716830110782373889);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1719011859289968658);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291099820486658, 1719011859289968659);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1503734603045699586);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1504096722349985794);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1691804508017930242);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1691805323340296193);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1691807004912267266);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1691807701766516738);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1691808141451210753);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1691808471127699458);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1691808842160025601);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1691809070145613826);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1691809238173626370);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1691809637727219714);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1691809827611750402);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1691809987955798018);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1692910220429234177);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1693455825024659457);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1693456041102618626);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1695693169157025794);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1695693439907737601);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1707618131277631489);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1707619093492912130);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1711931297412202497);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1713025685109346306);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1713026381678383105);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1713029617319677954);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1716830110782373886);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1716830110782373889);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1719011859289968658);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1357291137174958082, 1719011859289968659);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1568873508431171585, 1695693439907737601);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1568873508431171585, 1695989603978784770);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1568873508431171585, 1695989665383395330);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1568873622256193537, 1707619093492912130);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1503734603045699586);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1504096722349985794);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1691804508017930242);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1691805323340296193);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1691807004912267266);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1691807701766516738);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1691808141451210753);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1691808471127699458);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1691808842160025601);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1691809070145613826);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1691809238173626370);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1691809637727219714);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1691809827611750402);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1691809987955798018);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1692910220429234177);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1693455825024659457);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1693456041102618626);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1695693169157025794);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1695693439907737601);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1698578500009144321);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1707618131277631489);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1707619093492912130);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1711931297412202497);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1713025685109346306);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1713026381678383105);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1713029617319677954);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1719011859289968658);
insert into "SYS_ROLE_MENU" ("ROLE_ID", "MENU_ID") values (1607772303980032001, 1719011859289968659);


CREATE TABLE "SYS_USER"
(
    "ID" NUMBER(19,0) NOT NULL,
    "NAME" VARCHAR2(15 CHAR) NOT NULL,
    "USERNAME" VARCHAR2(100 CHAR) NOT NULL,
    "PASSWORD" VARCHAR2(255 CHAR) NOT NULL,
    "AVATAR" VARCHAR2(255 CHAR) DEFAULT NULL,
    "SEX" NUMBER(3,0) DEFAULT 0 NOT NULL,
    "PHONE" VARCHAR2(15 CHAR) DEFAULT NULL,
    "EMAIL" VARCHAR2(255 CHAR) DEFAULT NULL,
    "ENABLED" CHAR(1) DEFAULT '1' NOT NULL,
    "DEPT_ID" NUMBER(19,0) DEFAULT NULL,
    "LEADER" VARCHAR2(40 CHAR) DEFAULT NULL,
    "CREATED_BY" VARCHAR2(100 CHAR) NOT NULL,
    "UPDATED_BY" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATE_TIME" TIMESTAMP(0) NOT NULL,
    "UPDATE_TIME" TIMESTAMP(0) DEFAULT NULL,
    CONSTRAINT "SYS_USER_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "SYS_USER" IS '用户';
COMMENT ON COLUMN "SYS_USER"."AVATAR" IS '头像';
COMMENT ON COLUMN "SYS_USER"."CREATED_BY" IS '创建者';
COMMENT ON COLUMN "SYS_USER"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "SYS_USER"."DEPT_ID" IS '部门id';
COMMENT ON COLUMN "SYS_USER"."EMAIL" IS '邮箱';
COMMENT ON COLUMN "SYS_USER"."ENABLED" IS '状态：0:禁用，1:启用';
COMMENT ON COLUMN "SYS_USER"."ID" IS 'id';
COMMENT ON COLUMN "SYS_USER"."LEADER" IS '直属领导';
COMMENT ON COLUMN "SYS_USER"."NAME" IS '姓名';
COMMENT ON COLUMN "SYS_USER"."PASSWORD" IS '密码';
COMMENT ON COLUMN "SYS_USER"."PHONE" IS '手机号';
COMMENT ON COLUMN "SYS_USER"."SEX" IS '性别：0:未知，1:男，2:女';
COMMENT ON COLUMN "SYS_USER"."UPDATED_BY" IS '更新者';
COMMENT ON COLUMN "SYS_USER"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "SYS_USER"."USERNAME" IS '用户名';

insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1, '系统管理员', 'admin', '$2a$10$ey5bu11ZvVwTfK9Yf6UYlezuiVhB5pasx0eDWcu4dIDv9cLC3/lc2', '/api/static/file/10118f6f-7e74-446e-95d2-1d1ea4a1dad6OIP-C (4).jpg', 2, '15606613352', '1941338475@qq.com', '1', 1357882876154490881, 'caiyan', 'admin', 'admin', '2024-03-03 10:53:39', '2024-05-27 15:44:04');
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601539, '李玉珍', 'liyuzhen', '$2a$10$zMbUx27SLv9nWhTsicKuFO6/SlmUZQ/h5jUbScO0Axpx6oTedv8wG', '/api/static/file/e6e4dd5b-e3a9-4ade-9436-7538549adf4bOIP-C.jpg', 2, '15606613333', '1941338475@qq.com', '1', 1538426198781095937, null, 'admin', 'liyuzhen', '2024-03-31 23:47:19', '2024-07-09 20:44:50');
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601540, '张云任', 'zhangyunren', '$2a$10$yhLsGQsNFJFnnBel8WIGPeeMbVNi8GD9wgYcVroi2002WC6rXwkdW', '/api/static/file/e90ad53c-df7e-4ea9-a73f-41bdc927945eQRqMK.jpg', 1, '15606613334', '1941338475@qq.com', '1', 1538427176800514050, null, 'admin', 'admin', '2024-03-31 23:48:13', '2024-09-10 20:23:03');
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601541, '周亚夫', 'zhouyafu', '$2a$10$DFaPdLMWLJ.lL0OdzNyopuapUwmSJpN5ETOqkeq5HQsrzl8OIpdDO', '/api/static/file/f7a8259f-9e81-4d0c-853d-5e430e2a1bf2QR57a.jpg', 1, '15606613395', '1941338475@qq.com', '1', 1538426900681093121, null, 'admin', 'admin', '2024-04-01 10:47:28', '2024-05-27 15:44:30');
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601542, '邓真', 'dengzhen', '$2a$10$lIJxVimQijOAjM9AJjKm0OMqMD3hhJ22Tukp1Mh7.pPYPQiH8gd9y', '/api/static/file/997a5a07-77be-47e8-b506-cdafea147694QRBHS.jpg', 1, '15606613396', '1941338475@qq.com', '1', 1538426900681093121, null, 'admin', 'admin', '2024-04-01 10:49:54', '2024-05-27 15:44:36');
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601543, '杨映秋', 'yangyingqiu', '$2a$10$Wbr.ujXWKRM6dKvIen22mO.gzGOKbA3.KGhJBRDrLCXDQcpWLvbv6', '/api/static/file/4e118a9a-82e4-4920-94d6-818122043ff0OIP-C (7).jpg', 1, '15606613396', '15606613396@qq.com', '1', 1357882410670682114, null, 'admin', null, '2024-04-01 10:51:25', null);
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601544, '聂婷婷', 'nietingting', '$2a$10$AboKkPB42dYwdV0e0Kdr9evNMMm93bQiJiyGIlKN617ZtrWZKWnCq', '/api/static/file/c7bd8506-bbd6-4b94-bbff-b8733db09c89OIP-C (2).jpg', 2, '15606613397', '1941338475@qq.com', '1', 1538427031631458306, null, 'admin', 'admin', '2024-04-01 10:52:46', '2024-05-27 15:44:41');
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601545, '吴明杰', 'wumingjie', '$2a$10$77WDAs2Lo4ecq5kDzfoVTuxOF0tfC3a/gGbkHE68B.Mo4Tg5VmqZ2', '/api/static/file/36311595-5ce0-4a5b-8f7b-f64d37072e0bOIP-C (1).jpg', 1, '15606613319', '1941338475@qq.com', '1', 1357882876154490882, null, 'admin', 'admin', '2024-04-01 10:54:11', '2024-05-27 15:44:45');
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601546, '沈翰林', 'shenhanlin', '$2a$10$lyfX6CyhGuLNlFzZ8A2dpOxKrP9IABExM2Hapcw/BgFgjCaIxw2kK', '/api/static/file/38959647-e230-48c6-b3d0-fa31c94c18bd下载.jpg', 1, '15606613318', '1941338475@qq.com', '1', 1538426930959773697, null, 'admin', 'admin', '2024-04-01 10:55:09', '2024-05-27 15:44:53');
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601547, '吴飞鸿', 'wufeihong', '$2a$10$mS0UPMfgdV6hfMo5HXsiKe4LG8yK7hlxMRFB0dzsztj95p65OfEHy', '/api/static/file/1e52370d-fed0-4fa1-a03a-f82a2a93358fOIP-C (3).jpg', 1, '15606613390', '1941338475@qq.com', '1', 1538426269257986049, null, 'admin', 'admin', '2024-04-01 10:56:27', '2024-11-09 22:59:19');
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601548, '郑菲', 'zhengfei', '$2a$10$geVy0HA8jUHTSvTlVIRzx.zRPFgwfF7uQLucIsLv7ZOnwaG5gDoym', '/api/static/file/9010f7f6-d9cc-418d-bc2b-1ecaa3dd37f7OIP-C (4).jpg', 2, '15606613361', '1941338475@qq.com', '1', 1538426719302610945, null, 'admin', 'admin', '2024-04-01 10:57:28', '2024-05-27 15:45:01');
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601549, '蔡艳', 'caiyan', '$2a$10$fxOOaa/jxjkfKftk5WZ34.Rih9wBWriiuliak7o4QF4BeZ.5dCXHW', '/api/static/file/778c2c9d-f8f5-40db-a6c9-04874bc7447b201962717313730705.jpeg', 2, '15606613387', '1941338475@qq.com', '1', 1538426048373354498, 'zhangyunren', 'admin', 'admin', '2024-04-01 10:59:21', '2024-05-27 15:45:04');
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601550, '姚彤', 'yaotong', '$2a$10$dxS/DMpB4n/D58a6cMbKdODyhWVVRqPY7vjeUP0vsJrUxfUGXIFo2', '/api/static/file/5be7bff8-7d3f-4c15-9255-7dc7d24db2b7OIP-C (5).jpg', 2, '15606613354', '1941338475@qq.com', '1', 1538426418701037570, null, 'admin', 'admin', '2024-04-01 11:00:15', '2024-05-27 15:45:10');
insert into "SYS_USER" ("ID", "NAME", "USERNAME", "PASSWORD", "AVATAR", "SEX", "PHONE", "EMAIL", "ENABLED", "DEPT_ID", "LEADER", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1356976230017601551, '马涛', 'matao', '$2a$10$CaAdJumgRz4dO6d6JKyr.OkXLhquUnBmnefNAFbPWsZ7UdnxJOHDq', '/api/static/file/15264081-a8e1-4f97-8e45-7382bc5eadc1OIP-C (6).jpg', 1, '15606613386', '1941338475@qq.com', '1', 1538426509662908418, null, 'admin', 'admin', '2024-04-01 11:00:15', '2024-05-27 15:45:10');


CREATE TABLE "SYS_USER_ROLE"
(
    "USER_ID" VARCHAR2(100 CHAR) NOT NULL,
    "ROLE_ID" NUMBER(19,0) NOT NULL,
    CONSTRAINT "SYS_USER_ROLE_PK" NOT CLUSTER PRIMARY KEY("USER_ID", "ROLE_ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "SYS_USER_ROLE" IS '用户角色';
COMMENT ON COLUMN "SYS_USER_ROLE"."ROLE_ID" IS '角色id';
COMMENT ON COLUMN "SYS_USER_ROLE"."USER_ID" IS '用户id';

insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('caiyan', 1357290971101491202);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('liyuzhen', 1357291099820486658);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('matao', 1357290971101491202);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('matao', 1357291099820486658);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('matao', 1357291137174958082);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('matao', 1568873508431171585);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('matao', 1568873622256193537);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('matao', 1607772303980032001);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('matao', 1701429262296887297);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('matao', 1701429320358637570);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('matao', 1701429410515202049);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('matao', 1701429501409964034);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('matao', 1701429689369309186);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('matao', 1701429813977886721);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('test01', 1357290971101491202);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('wufeihong', 1357290971101491202);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('wufeihong', 1357291099820486658);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('wufeihong', 1357291137174958082);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('wufeihong', 1568873508431171585);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('wufeihong', 1568873622256193537);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('wufeihong', 1607772303980032001);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('wufeihong', 1701429262296887297);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('wufeihong', 1701429320358637570);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('wufeihong', 1701429410515202049);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('wufeihong', 1701429501409964034);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('wufeihong', 1701429689369309186);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('wufeihong', 1701429813977886721);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('yaotong', 1357290971101491202);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('yaotong', 1357291099820486658);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('yaotong', 1357291137174958082);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('yaotong', 1568873508431171585);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('yaotong', 1568873622256193537);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('yaotong', 1607772303980032001);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('yaotong', 1701429262296887297);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('yaotong', 1701429320358637570);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('yaotong', 1701429410515202049);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('yaotong', 1701429501409964034);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('yaotong', 1701429689369309186);
insert into "SYS_USER_ROLE" ("USER_ID", "ROLE_ID") values ('yaotong', 1701429813977886721);

CREATE TABLE "FLOW_CONNECTOR"
(
    "ID" NUMBER(19,0) NOT NULL,
    "NAME" VARCHAR2(255 CHAR) NOT NULL,
    "ICON" VARCHAR2(255 CHAR) NOT NULL,
    "DESCRIPTION" VARCHAR2(500 CHAR) DEFAULT NULL,
    "CONNECTOR" CLOB NOT NULL,
    "CREATED_BY" VARCHAR2(100 CHAR) NOT NULL,
    "UPDATED_BY" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "UPDATE_TIME" DATE DEFAULT NULL,
    CONSTRAINT "FLOW_CONNECTOR_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "FLOW_CONNECTOR" IS '连接器';
COMMENT ON COLUMN "FLOW_CONNECTOR"."CONNECTOR" IS '连接器实现';
COMMENT ON COLUMN "FLOW_CONNECTOR"."CREATED_BY" IS '创建者';
COMMENT ON COLUMN "FLOW_CONNECTOR"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "FLOW_CONNECTOR"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "FLOW_CONNECTOR"."ICON" IS '图标';
COMMENT ON COLUMN "FLOW_CONNECTOR"."ID" IS 'id';
COMMENT ON COLUMN "FLOW_CONNECTOR"."NAME" IS '名称';
COMMENT ON COLUMN "FLOW_CONNECTOR"."UPDATED_BY" IS '更新者';
COMMENT ON COLUMN "FLOW_CONNECTOR"."UPDATE_TIME" IS '更新时间';


CREATE TABLE "FLOW_DEFINE"
(
    "ID" NUMBER(19,0) NOT NULL,
    "ICON" CLOB NOT NULL,
    "GROUP_ID" NUMBER(19,0) NOT NULL,
    "DEFINE_ID" VARCHAR2(64 CHAR) NOT NULL,
    "MODEL_ID" NUMBER(19,0) NOT NULL,
    "PROCESS" CLOB NOT NULL,
    "FORM" CLOB DEFAULT NULL,
    "STARTERS" CLOB DEFAULT NULL,
    "_ADMIN" CLOB NOT NULL,
    "SETTINGS" CLOB NOT NULL,
    "CREATED_BY" VARCHAR2(100 CHAR) NOT NULL,
    "UPDATED_BY" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "UPDATE_TIME" DATE DEFAULT NULL,
    CONSTRAINT "FLOW_DEFINE_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "FLOW_DEFINE" IS '流程定义';
COMMENT ON COLUMN "FLOW_DEFINE"."CREATED_BY" IS '创建者';
COMMENT ON COLUMN "FLOW_DEFINE"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "FLOW_DEFINE"."DEFINE_ID" IS '流程id';
COMMENT ON COLUMN "FLOW_DEFINE"."FORM" IS '表单';
COMMENT ON COLUMN "FLOW_DEFINE"."GROUP_ID" IS '分组id';
COMMENT ON COLUMN "FLOW_DEFINE"."ICON" IS '图标';
COMMENT ON COLUMN "FLOW_DEFINE"."ID" IS 'id';
COMMENT ON COLUMN "FLOW_DEFINE"."MODEL_ID" IS '模型id';
COMMENT ON COLUMN "FLOW_DEFINE"."PROCESS" IS '流程';
COMMENT ON COLUMN "FLOW_DEFINE"."SETTINGS" IS '高级设置';
COMMENT ON COLUMN "FLOW_DEFINE"."STARTERS" IS '授权发起人';
COMMENT ON COLUMN "FLOW_DEFINE"."UPDATED_BY" IS '更新者';
COMMENT ON COLUMN "FLOW_DEFINE"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "FLOW_DEFINE"."_ADMIN" IS '流程管理员';


CREATE TABLE "FLOW_GROUP"
(
    "ID" NUMBER(19,0) NOT NULL,
    "NAME" VARCHAR2(150 CHAR) DEFAULT NULL,
    "SORT" NUMBER(10,0) DEFAULT 0 NOT NULL,
    "CREATED_BY" VARCHAR2(100 CHAR) NOT NULL,
    "UPDATED_BY" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "UPDATE_TIME" DATE DEFAULT NULL,
    CONSTRAINT "FLOW_GROUP_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "FLOW_GROUP" IS '流程分组';
COMMENT ON COLUMN "FLOW_GROUP"."CREATED_BY" IS '创建者';
COMMENT ON COLUMN "FLOW_GROUP"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "FLOW_GROUP"."ID" IS 'id';
COMMENT ON COLUMN "FLOW_GROUP"."NAME" IS '分组名称';
COMMENT ON COLUMN "FLOW_GROUP"."SORT" IS '排序';
COMMENT ON COLUMN "FLOW_GROUP"."UPDATED_BY" IS '更新者';
COMMENT ON COLUMN "FLOW_GROUP"."UPDATE_TIME" IS '更新时间';

insert into "FLOW_GROUP" ("ID", "NAME", "SORT", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (6, 'OA', 0, 'liyuzhen', null, '2024-06-12', null);


CREATE TABLE "FLOW_INSTANCE"
(
    "ID" VARCHAR2(64 CHAR) NOT NULL,
    "STATUS" NUMBER(10,0) DEFAULT 0 NOT NULL,
    "CANCEL_DAYS" NUMBER(10,0) DEFAULT 0 NOT NULL,
    CONSTRAINT "FLOW_INSTANCE_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "FLOW_INSTANCE" IS '流程实例';
COMMENT ON COLUMN "FLOW_INSTANCE"."CANCEL_DAYS" IS '撤回天数';
COMMENT ON COLUMN "FLOW_INSTANCE"."ID" IS '实例id';
COMMENT ON COLUMN "FLOW_INSTANCE"."STATUS" IS '状态';


CREATE TABLE "FLOW_MODEL"
(
    "ID" NUMBER(19,0) NOT NULL,
    "CODE" VARCHAR2(255 CHAR) NOT NULL,
    "NAME" VARCHAR2(255 CHAR) NOT NULL,
    "ICON" CLOB NOT NULL,
    "SORT" NUMBER(10,0) DEFAULT 0 NOT NULL,
    "FORM" CLOB NOT NULL,
    "PROCESS" CLOB NOT NULL,
    "VERSION" NUMBER(10,0) DEFAULT 1 NOT NULL,
    "GROUP_ID" NUMBER(19,0) NOT NULL,
    "_ADMIN" CLOB NOT NULL,
    "STARTERS" CLOB NOT NULL,
    "SETTINGS" CLOB NOT NULL,
    "ENABLE" NUMBER(1,0) DEFAULT 1 NOT NULL,
    "REMARK" VARCHAR2(255 CHAR) DEFAULT NULL,
    "CREATED_BY" VARCHAR2(100 CHAR) NOT NULL,
    "UPDATED_BY" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "UPDATE_TIME" DATE DEFAULT NULL,
    CONSTRAINT "FLOW_MODEL_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "FLOW_MODEL" IS '流程模型';
COMMENT ON COLUMN "FLOW_MODEL"."CODE" IS '编号';
COMMENT ON COLUMN "FLOW_MODEL"."CREATED_BY" IS '创建者';
COMMENT ON COLUMN "FLOW_MODEL"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "FLOW_MODEL"."ENABLE" IS '是否启用';
COMMENT ON COLUMN "FLOW_MODEL"."FORM" IS '表单';
COMMENT ON COLUMN "FLOW_MODEL"."GROUP_ID" IS '分组id';
COMMENT ON COLUMN "FLOW_MODEL"."ICON" IS '图标';
COMMENT ON COLUMN "FLOW_MODEL"."ID" IS 'id';
COMMENT ON COLUMN "FLOW_MODEL"."NAME" IS '流程名称';
COMMENT ON COLUMN "FLOW_MODEL"."PROCESS" IS '流程';
COMMENT ON COLUMN "FLOW_MODEL"."REMARK" IS '备注';
COMMENT ON COLUMN "FLOW_MODEL"."SETTINGS" IS '高级设置';
COMMENT ON COLUMN "FLOW_MODEL"."SORT" IS '排序';
COMMENT ON COLUMN "FLOW_MODEL"."STARTERS" IS '能发起的人';
COMMENT ON COLUMN "FLOW_MODEL"."UPDATED_BY" IS '更新者';
COMMENT ON COLUMN "FLOW_MODEL"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "FLOW_MODEL"."VERSION" IS '版本';
COMMENT ON COLUMN "FLOW_MODEL"."_ADMIN" IS '流程管理员';

insert into "FLOW_MODEL" ("ID", "CODE", "NAME", "ICON", "SORT", "FORM", "PROCESS", "VERSION", "GROUP_ID", "_ADMIN", "STARTERS", "SETTINGS", "ENABLE", "REMARK", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (1, 'flow-1825145524804698113', '请假', '{"name":"i-ep:clock","color":"#27AE60","bgColor":"#d4efdf"}', 0, '{"labelPosition":"top","labelWidth":133,"gutter":14,"disabled":false,"span":24,"fields":[{"type":"formItem","id":"field_9ob88","label":"请假类型","type":"formItem","name":"Radio","hidden":false,"span":null,"props":{"key":"field_9ob881730277408439","class":[],"style":{"width":"100%"},"options":[{"label":"病假","value":"1","disabled":false},{"label":"事假","value":"2","disabled":false},{"label":"年假","value":"3","disabled":false},{"label":"产假","value":"4","disabled":false}],"dataType":"static","direction":"horizontal"},"value":"1","readonly":false,"required":true,"rules":null},{"type":"formItem","id":"field_8v83q","label":"请假时间","type":"formItem","name":"DateRange","hidden":false,"span":null,"props":{"key":1731564363667,"type":"datetimerange","class":[],"style":{"width":"100%"},"format":"YYYY-MM-DD HH:mm","valueFormat":"YYYY-MM-DD HH:mm","endPlaceholder":"结束日期","startPlaceholder":"开始日期"},"value":null,"readonly":false,"required":true,"rules":null},{"type":"formItem","id":"field_bi8mn","label":"请假天数","type":"formItem","name":"Calculation","hidden":false,"span":null,"props":{"key":"field_vkmex1731564285208","class":[],"style":{"width":"100%"},"precision":1,"expression":[{"label":"请假时间","vModel":"field_8v83q"},"÷","1","0","0","0","÷","6","0","÷","6","0","÷","2","4"],"placeholder":"请假天数"},"value":0,"readonly":false,"required":true,"rules":null},{"type":"formItem","id":"field_257b7","label":"请假原因","type":"formItem","name":"Textarea","hidden":false,"span":null,"props":{"key":"field_257b71726038690375","type":"textarea","class":[],"style":{"width":"100%"},"autosize":{"maxRows":3,"minRows":3},"maxlength":500,"placeholder":"请输入请假原因","showWordLimit":true},"value":"","readonly":false,"required":false,"rules":[]}],"rules":[{"actions":[{"field":"field_257b7","value":"","trigger":"show"}],"condition":{"groups":[],"operator":"or","conditions":[{"field":"field_bi8mn","value":2,"operator":"gt"}]}}],"dataSource":[{"id":"source_m6wyy","url":"/group","data":{},"init":true,"name":"请求数据","method":"get","params":{},"dataKey":"name","headers":{},"dataPath":"","dataValue":"id"}]}', '{"type":"root","id":"root","pid":null,"name":"发起人","executionListeners":[],"next":{"type":"approval","id":"node_jf0o1","pid":"root","name":"直属领导","executionListeners":[],"next":{"type":"exclusive","id":"node_shl97","pid":"node_jf0o1","name":"独占网关","executionListeners":null,"next":{"type":"cc","id":"node_qeb8c","pid":"node_shl97","name":"抄送人","executionListeners":null,"next":{"type":"cc","id":"node_8w53g","pid":"node_qeb8c","name":"抄送部门经理","executionListeners":null,"next":{"type":"end","id":"end","pid":"node_8w53g","name":"流程结束","executionListeners":[],"next":null},"assigneeType":"user","formUser":"","formRole":"","users":["zhangyunren"],"roles":[],"organizations":[],"formOrganization":"","organizationType":"leader","organizationRoles":[],"leader":1,"orgLeader":1,"choice":false,"self":false,"formProperties":[{"id":"field_9ob88","name":"请假类型","readonly":false,"hidden":false,"required":true},{"id":"field_bi8mn","name":"请假天数","readonly":false,"hidden":false,"required":true},{"id":"field_257b7","name":"请假原因","readonly":false,"hidden":true,"required":true}],"operations":{}},"assigneeType":"self","formUser":"","formRole":"","users":[],"roles":[],"organizations":[],"formOrganization":"","organizationType":"leader","organizationRoles":[],"leader":1,"orgLeader":1,"choice":false,"self":false,"formProperties":[{"id":"field_9ob88","name":"请假类型","readonly":false,"hidden":false,"required":true},{"id":"field_8v83q","name":"请假时间","readonly":false,"hidden":false,"required":true},{"id":"field_bi8mn","name":"请假天数","readonly":false,"hidden":false,"required":true},{"id":"field_257b7","name":"请假原因","readonly":false,"hidden":false,"required":false}],"operations":{}},"branches":[{"type":"condition","id":"node_0ma8v","pid":"node_shl97","name":"大于3天","executionListeners":null,"next":{"type":"approval","id":"node_omhr7","pid":"node_0ma8v","name":"人事经理审批","executionListeners":[],"next":null,"assigneeType":"user","formUser":"","formRole":"","users":["caiyan","wufeihong"],"roles":[],"organizations":[],"formOrganization":"","organizationType":"leader","organizationRoles":[],"leader":1,"orgLeader":1,"choice":false,"self":false,"formProperties":[{"id":"field_9ob88","name":"请假类型","readonly":false,"hidden":false,"required":true},{"id":"field_bi8mn","name":"请假天数","readonly":false,"hidden":false,"required":true},{"id":"field_257b7","name":"请假原因","readonly":false,"hidden":true,"required":true}],"operations":{"back":true,"refuse":true,"addMulti":true,"complete":true,"delegate":true,"transfer":true,"minusMulti":true},"multi":"single","multiPercent":100,"nobody":"pass","same":"self","nobodyUsers":[],"timeout":{"enabled":false,"duration":24,"unit":"PT%sH","action":"pass","loop":true},"taskListeners":null},"def":false,"conditions":{"operator":"and","conditions":[{"field":"field_bi8mn","operator":"gt","value":3}],"groups":[]}},{"type":"condition","id":"node_kmp4m","pid":"node_shl97","name":"小于1天","executionListeners":null,"next":{"type":"approval","id":"node_g107i","pid":"node_kmp4m","name":"组长","executionListeners":[],"next":null,"assigneeType":"user","formUser":"","formRole":"","users":["liyuzhen"],"roles":[],"organizations":[],"formOrganization":"","organizationType":"leader","organizationRoles":[],"leader":1,"orgLeader":1,"choice":true,"self":false,"formProperties":[{"id":"field_9ob88","name":"请假类型","readonly":false,"hidden":false,"required":true},{"id":"field_8v83q","name":"请假时间","readonly":false,"hidden":false,"required":true},{"id":"field_bi8mn","name":"请假天数","readonly":false,"hidden":false,"required":true},{"id":"field_257b7","name":"请假原因","readonly":false,"hidden":false,"required":false}],"operations":{"back":true,"refuse":true,"addMulti":true,"complete":true,"delegate":true,"transfer":true,"minusMulti":true},"multi":"joint","multiPercent":100,"nobody":"pass","same":"self","nobodyUsers":[],"timeout":{"enabled":false,"duration":24,"unit":"PT%sH","action":"pass","loop":true},"taskListeners":null},"def":false,"conditions":{"operator":"and","conditions":[{"field":"field_bi8mn","operator":"lt","value":1}],"groups":[]}},{"type":"condition","id":"node_mpv2g","pid":"node_shl97","name":"默认条件","executionListeners":null,"next":{"type":"approval","id":"node_vvpba","pid":"node_mpv2g","name":"人事专员","executionListeners":[],"next":null,"assigneeType":"user","formUser":"","formRole":"","users":["liyuzhen","matao","yaotong","zhengfei"],"roles":[],"organizations":[],"formOrganization":"","organizationType":"leader","organizationRoles":[],"leader":1,"orgLeader":1,"choice":false,"self":false,"formProperties":[{"id":"field_9ob88","name":"请假类型","readonly":false,"hidden":false,"required":true},{"id":"field_bi8mn","name":"请假天数","readonly":false,"hidden":false,"required":true},{"id":"field_257b7","name":"请假原因","readonly":false,"hidden":true,"required":true}],"operations":{"back":true,"refuse":true,"addMulti":true,"complete":true,"delegate":true,"transfer":true,"minusMulti":true},"multi":"single","multiPercent":100,"nobody":"pass","same":"self","nobodyUsers":[],"timeout":{"enabled":false,"duration":24,"unit":"PT%sH","action":"pass","loop":true},"taskListeners":null},"def":true,"conditions":{"operator":"and","conditions":[],"groups":[]}}]},"assigneeType":"leader","formUser":"","formRole":"","users":[],"roles":[],"organizations":[],"formOrganization":"","organizationType":"leader","organizationRoles":[],"leader":1,"orgLeader":1,"choice":false,"self":false,"formProperties":[{"id":"field_9ob88","name":"请假类型","readonly":false,"hidden":false,"required":true},{"id":"field_bi8mn","name":"请假天数","readonly":false,"hidden":false,"required":true},{"id":"field_257b7","name":"请假原因","readonly":false,"hidden":true,"required":true}],"operations":{"back":true,"refuse":true,"addMulti":true,"complete":true,"delegate":true,"transfer":true,"minusMulti":true},"multi":"joint","multiPercent":100,"nobody":"pass","same":"self","nobodyUsers":[],"timeout":{"enabled":false,"duration":24,"unit":"PT%sH","action":"pass","loop":true},"taskListeners":null},"formProperties":[],"operations":{"back":false,"refuse":false,"addMulti":false,"complete":true,"delegate":false,"transfer":false,"minusMulti":false}}', 14, 6, '["liyuzhen","matao","wufeihong","zhengfei"]', '[]', '{"cancel":{"enable":true,"days":4},"print":{"enable":false,"template":{"name":"sheet2","freeze":"A1","autofilter":{"ref":null,"filters":null,"sort":null},"cols":{},"merges":[],"styles":[],"validations":[],"rows":{"0":{"cells":{"0":{"text":"${date}"},"1":{"text":"${type}"},"2":{"text":"${days}"},"4":{"text":"${reason}"},"5":{"text":"${field_bi8mn}"},"6":{"text":"${field_257b7}"}}},"1":{"cells":{"0":{"text":"${field_tnlem}"}}}},"rowLen":30,"colLen":12}},"title":{"type":"custom","value":"【${initiatorName}】申请了${field_bi8mn}天请假"},"duplicate":"repeat"}', 1, '适用于请假申请，精确扣减出勤时间，并同步考勤报表', 'admin', 'liyuzhen', '2024-08-18', '2024-12-03');
insert into "FLOW_MODEL" ("ID", "CODE", "NAME", "ICON", "SORT", "FORM", "PROCESS", "VERSION", "GROUP_ID", "_ADMIN", "STARTERS", "SETTINGS", "ENABLE", "REMARK", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (2, 'flow-1825146818537766913', '加班', '{"name": "i-ep:phone-filled", "color": "#F39C12", "bgColor": "#fdebd0"}', 0, '{"span": 24, "rules": [], "fields": [{"id": "field_mnw4l", "name": "UserSelector", "span": null, "type": "formItem", "label": "加班人", "props": {"key": 1723983722484, "class": [], "style": {"width": "100%"}, "current": true, "multiple": true, "placeholder": "请选择加班人"}, "rules": null, "value": ["liyuzhen"], "hidden": false, "readonly": false, "required": true}, {"id": "field_7kgud", "name": "DateRange", "span": null, "type": "formItem", "label": "加班时间", "props": {"key": 1723983747098, "type": "datetimerange", "class": [], "style": {"width": "100%"}, "format": "YYYY-MM-DD HH:mm", "valueFormat": "YYYY-MM-DD HH:mm", "endPlaceholder": "结束日期", "startPlaceholder": "开始日期"}, "rules": null, "value": null, "hidden": false, "readonly": false, "required": true}, {"id": "field_awwzl", "name": "Calculation", "span": null, "type": "formItem", "label": "加班小时", "props": {"key": "field_awwzl1730278057124", "class": [], "style": {"width": "100%"}, "precision": 0, "expression": [{"label": "加班时间", "vModel": "field_7kgud"}, "÷", "6", "0", "÷", "6", "0", "÷", "1", "0", "0", "0"], "placeholder": "加班小时"}, "rules": null, "value": 0, "hidden": false, "readonly": false, "required": true}, {"id": "field_jc2ow", "name": "UserSelector", "span": null, "type": "formItem", "label": "联系人", "props": {"key": "field_jc2ow1723983772704", "class": [], "style": {"width": "100%"}, "current": false, "multiple": false, "placeholder": "请选择联系人"}, "rules": null, "value": null, "hidden": false, "readonly": false, "required": false}, {"id": "field_yv52j", "name": "Textarea", "span": null, "type": "formItem", "label": "加班原因", "props": {"key": "field_yv52j1723983807660", "type": "textarea", "class": [], "style": {"width": "100%"}, "autosize": {"maxRows": 3, "minRows": 3}, "maxlength": 600, "placeholder": "请输入加班原因", "showWordLimit": true}, "rules": [], "value": null, "hidden": false, "readonly": false, "required": false}], "gutter": 15, "disabled": false, "dataSource": [], "labelWidth": 100, "labelPosition": "top"}', '{"id": "root", "pid": null, "name": "发起人", "next": {"id": "node_j2171", "pid": "root", "name": "领导", "next": {"id": "node_tp3q5", "pid": "node_j2171", "name": "独占网关", "next": {"id": "node_f9hjm", "pid": "node_tp3q5", "name": "抄送自己", "next": {"id": "end", "pid": "node_f9hjm", "name": "流程结束", "next": null, "type": "end", "executionListeners": []}, "self": false, "type": "cc", "roles": [], "users": [], "choice": false, "leader": 1, "formRole": "", "formUser": "", "orgLeader": 1, "operations": {}, "assigneeType": "self", "organizations": [], "formProperties": [{"id": "field_mnw4l", "name": "加班人", "hidden": false, "readonly": false, "required": true}, {"id": "field_7kgud", "name": "加班时间", "hidden": false, "readonly": false, "required": true}, {"id": "field_awwzl", "name": "加班小时", "hidden": false, "readonly": false, "required": true}, {"id": "field_jc2ow", "name": "联系人", "hidden": false, "readonly": false, "required": false}, {"id": "field_yv52j", "name": "加班原因", "hidden": false, "readonly": false, "required": false}], "formOrganization": "", "organizationType": "leader", "organizationRoles": [], "executionListeners": null}, "type": "exclusive", "branches": [{"id": "node_pw53c", "def": false, "pid": "node_tp3q5", "name": "大于2小时", "next": {"id": "node_uv7ch", "pid": "node_pw53c", "name": "人事", "next": null, "same": "self", "self": false, "type": "approval", "multi": "single", "roles": [], "users": ["caiyan", "liyuzhen"], "choice": false, "leader": 1, "nobody": "pass", "timeout": {"loop": true, "unit": "PT%sH", "action": "pass", "enabled": false, "duration": 24}, "formRole": "", "formUser": "", "orgLeader": 1, "operations": {"back": true, "refuse": true, "addMulti": true, "complete": true, "delegate": true, "transfer": true, "minusMulti": true}, "nobodyUsers": [], "assigneeType": "user", "multiPercent": 100, "organizations": [], "taskListeners": null, "formProperties": [{"id": "field_mnw4l", "name": "加班人", "hidden": false, "readonly": false, "required": true}, {"id": "field_7kgud", "name": "加班时间", "hidden": false, "readonly": false, "required": true}, {"id": "field_awwzl", "name": "加班小时", "hidden": false, "readonly": false, "required": true}, {"id": "field_jc2ow", "name": "联系人", "hidden": false, "readonly": false, "required": false}, {"id": "field_yv52j", "name": "加班原因", "hidden": false, "readonly": false, "required": false}], "formOrganization": "", "organizationType": "leader", "organizationRoles": [], "executionListeners": []}, "type": "condition", "conditions": {"groups": [], "operator": "and", "conditions": [{"field": "field_awwzl", "value": 2, "operator": "gt"}]}, "executionListeners": null}, {"id": "node_fthdu", "def": true, "pid": "node_tp3q5", "name": "默认条件", "next": null, "type": "condition", "conditions": {"groups": [], "operator": "and", "conditions": []}, "executionListeners": null}], "executionListeners": null}, "same": "self", "self": false, "type": "approval", "multi": "joint", "roles": [], "users": [], "choice": true, "leader": 1, "nobody": "pass", "timeout": {"loop": true, "unit": "PT%sH", "action": "pass", "enabled": false, "duration": 24}, "formRole": "", "formUser": "", "orgLeader": 1, "operations": {"back": true, "refuse": true, "addMulti": true, "complete": true, "delegate": true, "transfer": true, "minusMulti": true}, "nobodyUsers": [], "assigneeType": "choice", "multiPercent": 100, "organizations": [], "taskListeners": null, "formProperties": [{"id": "field_mnw4l", "name": "加班人", "hidden": false, "readonly": false, "required": true}, {"id": "field_7kgud", "name": "加班时间", "hidden": false, "readonly": false, "required": true}, {"id": "field_awwzl", "name": "加班小时", "hidden": false, "readonly": false, "required": true}, {"id": "field_jc2ow", "name": "联系人", "hidden": false, "readonly": false, "required": false}, {"id": "field_yv52j", "name": "加班原因", "hidden": false, "readonly": false, "required": false}], "formOrganization": "", "organizationType": "leader", "organizationRoles": [], "executionListeners": []}, "type": "root", "operations": {"back": false, "refuse": false, "addMulti": false, "complete": true, "delegate": false, "transfer": false, "minusMulti": false}, "formProperties": [], "executionListeners": []}', 4, 6, '["liyuzhen"]', '[]', '{"print": {"enable": false, "template": {"cols": {}, "name": "sheet2", "rows": {"0": {"cells": {"0": {"text": "地方"}, "1": {"text": "${field_lc6di}"}, "2": {"text": "${field_7kgud}"}, "3": {"text": "sss"}}}, "1": {"cells": {"6": {"text": "${field_vwmj9}"}}}, "2": {"cells": {"4": {"text": "${field_jc2ow}"}}}}, "colLen": 12, "freeze": "A1", "merges": [], "rowLen": 30, "styles": [], "autofilter": {"ref": null, "sort": null, "filters": null}, "validations": []}}, "title": {"type": "custom", "value": "【${initiatorName}】申请了${field_awwzl}小时加班"}, "cancel": {"days": 31, "enable": true}, "duplicate": "repeat"}', 1, '适用于加班申请，精确汇总至考勤报表', 'liyuzhen', 'liyuzhen', '2024-08-18', '2024-11-15');
insert into "FLOW_MODEL" ("ID", "CODE", "NAME", "ICON", "SORT", "FORM", "PROCESS", "VERSION", "GROUP_ID", "_ADMIN", "STARTERS", "SETTINGS", "ENABLE", "REMARK", "CREATED_BY", "UPDATED_BY", "CREATE_TIME", "UPDATE_TIME") values (3, 'flow-1825148525757906945', '日常报销', '{"name": "i-ant-design:verified-outlined", "color": "#409EFF", "bgColor": "#d9ecff"}', 0, '{"span": 24, "rules": [], "fields": [{"id": "field_q9qbh", "name": "Number", "span": null, "type": "formItem", "label": "报销金额", "props": {"key": "field_q9qbh1723984003526", "min": 0, "step": 1, "class": [], "style": {"width": "100%"}, "precision": 2, "placeholder": "报销金额"}, "rules": null, "value": null, "hidden": false, "readonly": false, "required": true}, {"id": "field_6ovu2", "name": "Date", "span": null, "type": "formItem", "label": "费用发生日期", "props": {"key": "field_6ovu21723984038449", "type": "date", "class": [], "style": {"width": "100%"}, "format": "YYYY-MM-DD", "placeholder": "请选择费用发生日期", "valueFormat": "YYYY-MM-DD"}, "rules": null, "value": null, "hidden": false, "readonly": false, "required": true}, {"id": "field_awjcr", "name": "Select", "span": null, "type": "formItem", "label": "费用类型", "props": {"key": "field_awjcr1723984081308", "class": [], "style": {"width": "100%"}, "options": [{"label": "餐饮", "value": "1", "disabled": false}, {"label": "打车", "value": "2", "disabled": false}, {"label": "差旅", "value": "3", "disabled": false}, {"label": "其他", "value": "4", "disabled": false}], "dataType": "static", "multiple": false, "filterable": true, "placeholder": "请选择费用类型"}, "rules": null, "value": null, "hidden": false, "readonly": false, "required": true}, {"id": "field_gyiv8", "name": "Textarea", "span": null, "type": "formItem", "label": "费用说明", "props": {"key": 1723984160802, "type": "textarea", "class": [], "style": {"width": "100%"}, "autosize": {"maxRows": 4, "minRows": 4}, "maxlength": 500, "placeholder": "请输入费用说明", "showWordLimit": true}, "rules": [], "value": null, "hidden": false, "readonly": false, "required": false}, {"id": "field_iaqmu", "name": "ImageUpload", "span": null, "type": "formItem", "label": "电子发票", "props": {"key": "field_iaqmu1723984186432", "size": 10, "class": [], "limit": 3, "style": {"width": "100%", "height": "auto"}, "accept": null}, "rules": null, "value": null, "hidden": false, "readonly": false, "required": false}, {"id": "field_7n413", "name": "FileUpload", "span": null, "type": "formItem", "label": "附件", "props": {"key": "field_7n4131723984210671", "size": 10, "class": [], "limit": 3, "style": {"width": "100%", "height": "auto"}, "accept": null}, "rules": null, "value": null, "hidden": false, "readonly": false, "required": false}], "gutter": 15, "disabled": false, "dataSource": [], "labelWidth": 110, "labelPosition": "top"}', '{"id": "root", "pid": null, "name": "发起人", "next": {"id": "node_3riqu", "pid": "root", "name": "审批人", "next": {"id": "node_lelf7", "pid": "node_3riqu", "name": "财务确认", "next": {"id": "node_2x4yi", "pid": "node_lelf7", "name": "抄送人", "next": {"id": "end", "pid": "node_2x4yi", "name": "流程结束", "next": null, "type": "end", "executionListeners": []}, "self": false, "type": "cc", "roles": [], "users": [], "choice": false, "leader": 1, "formRole": "", "formUser": "", "orgLeader": 1, "operations": {}, "assigneeType": "self", "organizations": [], "formProperties": [{"id": "field_q9qbh", "name": "报销金额", "hidden": false, "readonly": false, "required": true}, {"id": "field_6ovu2", "name": "费用发生日期", "hidden": false, "readonly": false, "required": true}, {"id": "field_awjcr", "name": "费用类型", "hidden": false, "readonly": false, "required": true}, {"id": "field_gyiv8", "name": "费用说明", "hidden": false, "readonly": false, "required": false}, {"id": "field_iaqmu", "name": "电子发票", "hidden": false, "readonly": false, "required": false}, {"id": "field_7n413", "name": "附件", "hidden": false, "readonly": false, "required": false}], "formOrganization": "", "organizationType": "leader", "organizationRoles": [], "executionListeners": null}, "same": "self", "self": false, "type": "approval", "multi": "joint", "roles": [], "users": ["caiyan", "liyuzhen"], "choice": false, "leader": 1, "nobody": "pass", "timeout": {"loop": true, "unit": "PT%sH", "action": "pass", "enabled": false, "duration": 24}, "formRole": "", "formUser": "", "orgLeader": 1, "operations": {"back": true, "refuse": true, "addMulti": true, "complete": true, "delegate": true, "transfer": true, "minusMulti": true}, "nobodyUsers": [], "assigneeType": "user", "multiPercent": 100, "organizations": [], "taskListeners": null, "formProperties": [{"id": "field_q9qbh", "name": "报销金额", "hidden": false, "readonly": false, "required": true}, {"id": "field_6ovu2", "name": "费用发生日期", "hidden": false, "readonly": false, "required": true}, {"id": "field_awjcr", "name": "费用类型", "hidden": false, "readonly": false, "required": true}, {"id": "field_gyiv8", "name": "费用说明", "hidden": false, "readonly": false, "required": false}, {"id": "field_iaqmu", "name": "电子发票", "hidden": false, "readonly": false, "required": false}, {"id": "field_7n413", "name": "附件", "hidden": false, "readonly": false, "required": false}], "formOrganization": "", "organizationType": "leader", "organizationRoles": [], "executionListeners": []}, "same": "self", "self": false, "type": "approval", "multi": "sequential", "roles": [], "users": [], "choice": true, "leader": 1, "nobody": "pass", "timeout": {"loop": true, "unit": "PT%sH", "action": "pass", "enabled": false, "duration": 24}, "formRole": "", "formUser": "", "orgLeader": 1, "operations": {"back": true, "refuse": true, "addMulti": true, "complete": true, "delegate": true, "transfer": true, "minusMulti": true}, "nobodyUsers": [], "assigneeType": "choice", "multiPercent": 100, "organizations": [], "taskListeners": null, "formProperties": [{"id": "field_q9qbh", "name": "报销金额", "hidden": false, "readonly": false, "required": true}, {"id": "field_6ovu2", "name": "费用发生日期", "hidden": false, "readonly": false, "required": true}, {"id": "field_awjcr", "name": "费用类型", "hidden": false, "readonly": false, "required": true}, {"id": "field_gyiv8", "name": "费用说明", "hidden": false, "readonly": false, "required": false}, {"id": "field_iaqmu", "name": "电子发票", "hidden": false, "readonly": false, "required": false}, {"id": "field_7n413", "name": "附件", "hidden": false, "readonly": false, "required": false}], "formOrganization": "", "organizationType": "leader", "organizationRoles": [], "executionListeners": []}, "type": "root", "operations": {"back": false, "refuse": false, "addMulti": false, "complete": true, "delegate": false, "transfer": false, "minusMulti": false}, "formProperties": [], "executionListeners": []}', 2, 6, '["liyuzhen"]', '[]', '{"print": {"enable": false, "template": {"cols": {}, "name": "sheet2", "rows": {}, "colLen": 12, "freeze": "A1", "merges": [], "rowLen": 30, "styles": [], "autofilter": {"ref": null, "sort": null, "filters": null}, "validations": []}}, "title": {"type": "custom", "value": "【${initiatorName}】申请了${field_q9qbh}元报销"}, "cancel": {"days": 31, "enable": true}, "duplicate": "repeat"}', 1, '报销工作中的费用', 'liyuzhen', 'liyuzhen', '2024-08-18', '2024-11-15');


CREATE TABLE "FLOW_MODEL_HISTORY"
(
    "ID" NUMBER(19,0) NOT NULL,
    "MODEL_ID" NUMBER(19,0) NOT NULL,
    "CODE" VARCHAR2(255 CHAR) NOT NULL,
    "NAME" VARCHAR2(255 CHAR) NOT NULL,
    "ICON" CLOB NOT NULL,
    "SORT" NUMBER(10,0) DEFAULT 0 NOT NULL,
    "FORM" CLOB NOT NULL,
    "PROCESS" CLOB NOT NULL,
    "VERSION" NUMBER(10,0) DEFAULT 1 NOT NULL,
    "GROUP_ID" NUMBER(19,0) NOT NULL,
    "_ADMIN" CLOB NOT NULL,
    "STARTERS" CLOB NOT NULL,
    "SETTINGS" CLOB NOT NULL,
    "ENABLE" NUMBER(1,0) DEFAULT 1 NOT NULL,
    "REMARK" VARCHAR2(255 CHAR) DEFAULT NULL,
    "CREATED_BY" VARCHAR2(100 CHAR) NOT NULL,
    "UPDATED_BY" VARCHAR2(100 CHAR) DEFAULT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "UPDATE_TIME" DATE DEFAULT NULL,
    CONSTRAINT "FLOW_MODEL_HISTORY_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "FLOW_MODEL_HISTORY" IS '流程模型历史记录';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."CODE" IS '编号';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."CREATED_BY" IS '创建者';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."ENABLE" IS '是否启用';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."FORM" IS '表单';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."GROUP_ID" IS '分组id';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."ICON" IS '图标';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."ID" IS 'id';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."MODEL_ID" IS '模型id';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."NAME" IS '流程名称';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."PROCESS" IS '流程';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."REMARK" IS '备注';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."SETTINGS" IS '高级设置';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."SORT" IS '排序';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."STARTERS" IS '能发起的人';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."UPDATED_BY" IS '更新者';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."VERSION" IS '版本';
COMMENT ON COLUMN "FLOW_MODEL_HISTORY"."_ADMIN" IS '流程管理员';


CREATE TABLE "FLOW_TASK"
(
    "ID" VARCHAR2(64 CHAR) NOT NULL,
    "INSTANCE_ID" VARCHAR2(64 CHAR) NOT NULL,
    "STATUS" NUMBER(10,0) DEFAULT 0 NOT NULL,
    "VARIABLES" CLOB NOT NULL,
    CONSTRAINT "FLOW_TASK_PK" NOT CLUSTER PRIMARY KEY("ID")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "FLOW_TASK" IS '任务表';
COMMENT ON COLUMN "FLOW_TASK"."ID" IS '任务id';
COMMENT ON COLUMN "FLOW_TASK"."INSTANCE_ID" IS '实例id';
COMMENT ON COLUMN "FLOW_TASK"."STATUS" IS '状态';
COMMENT ON COLUMN "FLOW_TASK"."VARIABLES" IS '变量';


COMMIT;




