/*
 Navicat Premium Data Transfer

 Source Server         : 本机mysql
 Source Server Type    : MySQL
 Source Server Version : 80027 (8.0.27)
 Source Host           : localhost:3306
 Source Schema         : flow

 Target Server Type    : MySQL
 Target Server Version : 80027 (8.0.27)
 File Encoding         : 65001

 Date: 12/06/2024 13:31:16
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;


-- ----------------------------
-- Table structure for flow_define
-- ----------------------------
DROP TABLE IF EXISTS `flow_define`;
CREATE TABLE `flow_define`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `icon` json NOT NULL COMMENT '图标',
  `group_id` bigint NOT NULL COMMENT '分组id',
  `define_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '流程id',
  `model_id` bigint UNSIGNED NOT NULL COMMENT '模型id',
  `process` json NOT NULL COMMENT '流程',
  `form` json NULL COMMENT '表单',
  `starter_users` json NULL COMMENT '授权发起人',
  `_admin` json NOT NULL COMMENT '流程管理员',
  `starters` json NOT NULL COMMENT '授权发起人',
  `settings` json NOT NULL COMMENT '高级设置',
  `created_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建者',
  `updated_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新者',
  `create_time` datetime NOT NULL COMMENT '创建日期',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 149 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of flow_define
-- ----------------------------

-- ----------------------------
-- Table structure for flow_group
-- ----------------------------
DROP TABLE IF EXISTS `flow_group`;
CREATE TABLE `flow_group`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `sort` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '排序',
  `created_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建者',
  `updated_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新者',
  `create_time` datetime NOT NULL COMMENT '创建日期',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`, `sort`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of flow_group
-- ----------------------------

-- ----------------------------
-- Table structure for flow_instance
-- ----------------------------
DROP TABLE IF EXISTS `flow_instance`;
CREATE TABLE `flow_instance`  (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'id',
  `status` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '状态',
  `cancel_days` int unsigned NOT NULL DEFAULT '0' COMMENT '撤销天数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of flow_instance
-- ----------------------------

-- ----------------------------
-- Table structure for flow_model
-- ----------------------------
DROP TABLE IF EXISTS `flow_model`;
CREATE TABLE `flow_model`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '流程名称',
  `icon` json NOT NULL COMMENT '图标',
  `sort` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '排序',
  `form` json NOT NULL COMMENT '表单',
  `process` json NOT NULL COMMENT '流程',
  `version` int UNSIGNED NOT NULL DEFAULT 1 COMMENT '版本',
  `group_id` bigint NOT NULL COMMENT '分组id',
  `_admin` json NOT NULL COMMENT '流程管理员',
  `starters` json NOT NULL COMMENT '授权发起人',
  `settings` json NOT NULL COMMENT '高级设置',
  `enable` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '是否启用',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `created_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建者',
  `updated_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新者',
  `create_time` datetime NOT NULL COMMENT '创建日期',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 28 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of flow_model
-- ----------------------------

-- ----------------------------
-- Table structure for flow_model_history
-- ----------------------------
DROP TABLE IF EXISTS `flow_model_history`;
CREATE TABLE `flow_model_history`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `model_id` bigint NOT NULL COMMENT '模型id',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '流程编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '流程名称',
  `icon` json NOT NULL COMMENT '图标',
  `sort` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '排序',
  `form` json NOT NULL COMMENT '表单',
  `process` json NOT NULL COMMENT '流程',
  `version` int UNSIGNED NOT NULL DEFAULT 1 COMMENT '版本',
  `group_id` bigint NOT NULL COMMENT '分组id',
  `_admin` json NOT NULL COMMENT '流程管理员',
  `starters` json NOT NULL COMMENT '授权发起人',
  `settings` json NOT NULL COMMENT '高级设置',
  `enable` tinyint UNSIGNED NOT NULL DEFAULT 1 COMMENT '是否启用',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `created_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建者',
  `updated_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新者',
  `create_time` datetime NOT NULL COMMENT '创建日期',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 65 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of flow_model_history
-- ----------------------------

-- ----------------------------
-- Table structure for flow_task
-- ----------------------------
DROP TABLE IF EXISTS `flow_task`;
CREATE TABLE `flow_task`  (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'id',
  `instance_id` varchar(64) NOT NULL COMMENT '实例id',
  `status` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '状态',
  `variables` json NOT NULL COMMENT '变量',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of flow_task
-- ----------------------------


-- ----------------------------
-- Table structure for oauth_access_token
-- ----------------------------
DROP TABLE IF EXISTS `oauth_access_token`;
CREATE TABLE `oauth_access_token`  (
  `token_id` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `token` blob NULL,
  `authentication_id` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `user_name` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `client_id` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `authentication` blob NULL,
  `refresh_token` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of oauth_access_token
-- ----------------------------

-- ----------------------------
-- Table structure for oauth_approvals
-- ----------------------------
DROP TABLE IF EXISTS `oauth_approvals`;
CREATE TABLE `oauth_approvals`  (
  `userId` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `clientId` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `scope` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `status` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `expiresAt` timestamp NULL DEFAULT NULL,
  `lastModifiedAt` timestamp NULL DEFAULT NULL
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of oauth_approvals
-- ----------------------------

-- ----------------------------
-- Table structure for oauth_client_details
-- ----------------------------
DROP TABLE IF EXISTS `oauth_client_details`;
CREATE TABLE `oauth_client_details`  (
  `client_id` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `resource_ids` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `client_secret` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `scope` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `authorized_grant_types` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `web_server_redirect_uri` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `authorities` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `access_token_validity` int NULL DEFAULT NULL,
  `refresh_token_validity` int NULL DEFAULT NULL,
  `additional_information` varchar(4096) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `autoapprove` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '设置用户是否自动Approval操作',
  PRIMARY KEY (`client_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of oauth_client_details
-- ----------------------------
INSERT INTO `oauth_client_details` VALUES ('client', 'flow-app', '$2a$10$F5GU8qUHdWVsoNVHjqN4c.EElCrBB7ywCiSDn3ibW4e4RdKyhe1PK', 'web', 'refresh_token,password,authorization_code', NULL, '', 43000, 2592000, '{}', '');

-- ----------------------------
-- Table structure for oauth_client_token
-- ----------------------------
DROP TABLE IF EXISTS `oauth_client_token`;
CREATE TABLE `oauth_client_token`  (
  `token_id` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `token` blob NULL,
  `authentication_id` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `user_name` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `client_id` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  PRIMARY KEY (`authentication_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of oauth_client_token
-- ----------------------------

-- ----------------------------
-- Table structure for oauth_code
-- ----------------------------
DROP TABLE IF EXISTS `oauth_code`;
CREATE TABLE `oauth_code`  (
  `code` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `authentication` blob NULL
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of oauth_code
-- ----------------------------

-- ----------------------------
-- Table structure for oauth_refresh_token
-- ----------------------------
DROP TABLE IF EXISTS `oauth_refresh_token`;
CREATE TABLE `oauth_refresh_token`  (
  `token_id` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `token` blob NULL,
  `authentication` blob NULL
) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of oauth_refresh_token
-- ----------------------------

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `pid` bigint UNSIGNED NOT NULL DEFAULT 0 COMMENT '上级部门',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '部门名称',
  `sort` int UNSIGNED NOT NULL COMMENT '排序',
  `leader` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '负责人',
  `created_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建者',
  `updated_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新者',
  `create_time` datetime NOT NULL COMMENT '创建日期',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1538427176800514051 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (1357882410670682114, 1538426269257986049, '开发部', 0, 'yangyingqiu', '1356976230017601538', 'admin', '2021-02-06 10:42:50', '2024-04-18 21:44:38');
INSERT INTO `sys_dept` VALUES (1357882876154490881, 1538426198781095937, '销售部', 0, 'wumingjie', '1356976230017601538', 'admin', '2021-02-06 10:44:41', '2024-04-18 21:44:28');
INSERT INTO `sys_dept` VALUES (1357882876154490882, 1357882410670682114, '开发一部', 0, 'shenhanlin', '1356976230017601538', 'admin', '2021-02-06 10:44:41', '2024-04-20 21:44:04');
INSERT INTO `sys_dept` VALUES (1538426048373354498, 0, '无名科技有限公司', 0, 'caiyan', 'admin', 'admin', '2022-06-19 15:38:47', '2024-04-18 21:36:15');
INSERT INTO `sys_dept` VALUES (1538426198781095937, 1538426048373354498, '杭州总公司', 0, 'zhouyafu', 'admin', 'admin', '2022-06-19 15:39:23', '2024-04-18 21:38:07');
INSERT INTO `sys_dept` VALUES (1538426269257986049, 1538426048373354498, '宁波分公司', 1, 'shenhanlin', 'admin', 'admin', '2022-06-19 15:39:40', '2024-04-18 21:38:17');
INSERT INTO `sys_dept` VALUES (1538426418701037570, 1538426198781095937, '市场部', 1, 'admin', 'admin', 'admin', '2022-06-19 15:40:15', '2024-04-20 21:43:16');
INSERT INTO `sys_dept` VALUES (1538426483670806530, 1538426198781095937, '开发部', 2, 'yaotong', 'admin', 'admin', '2022-06-19 15:40:31', '2024-04-20 21:43:26');
INSERT INTO `sys_dept` VALUES (1538426509662908418, 1538426198781095937, '运维部', 3, 'matao', 'admin', 'admin', '2022-06-19 15:40:37', '2024-04-20 21:43:36');
INSERT INTO `sys_dept` VALUES (1538426603464323074, 1538426269257986049, '销售部', 1, NULL, 'admin', 'admin', '2022-06-19 15:41:00', '2022-06-19 15:49:50');
INSERT INTO `sys_dept` VALUES (1538426719302610945, 1538426198781095937, '财务部', 4, 'zhengfei', 'admin', 'admin', '2022-06-19 15:41:27', '2024-04-20 21:43:45');
INSERT INTO `sys_dept` VALUES (1538426749530959874, 1538426198781095937, '研发部门', 5, NULL, 'admin', 'admin', '2022-06-19 15:41:34', '2022-06-19 15:49:38');
INSERT INTO `sys_dept` VALUES (1538426900681093121, 1538426048373354498, '上海分公司', 2, 'yaotong', 'admin', 'admin', '2022-06-19 15:42:10', '2024-04-18 21:41:15');
INSERT INTO `sys_dept` VALUES (1538426930959773697, 1538426900681093121, '销售部', 0, NULL, 'admin', 'admin', '2022-06-19 15:42:18', '2022-06-19 15:50:06');
INSERT INTO `sys_dept` VALUES (1538427000094486529, 1538426048373354498, '华北分部', 3, 'wufeihong', 'admin', 'admin', '2022-06-19 15:42:34', '2024-04-18 21:41:48');
INSERT INTO `sys_dept` VALUES (1538427031631458306, 1538427000094486529, '销售部', 0, 'caiyan', 'admin', 'admin', '2022-06-19 15:42:42', '2024-04-18 21:41:40');
INSERT INTO `sys_dept` VALUES (1538427101365956610, 1538426048373354498, '华西分部', 4, 'wumingjie', 'admin', 'admin', '2022-06-19 15:42:58', '2024-04-20 21:43:06');
INSERT INTO `sys_dept` VALUES (1538427176800514050, 1538427101365956610, '销售部', 0, NULL, 'admin', 'admin', '2022-06-19 15:43:16', '2022-06-19 15:50:16');

-- ----------------------------
-- Table structure for sys_dict
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict`;
CREATE TABLE `sys_dict`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT,
  `code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '编号',
  `name` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '字典名称',
  `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '描述',
  `created_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建者',
  `updated_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新者',
  `create_time` datetime NOT NULL COMMENT '创建日期',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1611331866129420291 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict
-- ----------------------------
INSERT INTO `sys_dict` VALUES (1, 'system', '服务模块', '服务模块2', '1356976230017601538', 'admin', '2021-12-19 21:50:52', '2024-03-28 21:21:41');
INSERT INTO `sys_dict` VALUES (1611331866129420290, 'notify_type', '消息通知类型', '消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型消息通知类型', 'admin', 'admin', '2023-01-06 20:00:29', '2024-03-28 21:21:50');

-- ----------------------------
-- Table structure for sys_dict_detail
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_detail`;
CREATE TABLE `sys_dict_detail`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `dict_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '字典id',
  `label` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '字典标签',
  `value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '字典值',
  `sort` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '排序',
  `created_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建者',
  `updated_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新者',
  `create_time` datetime NOT NULL COMMENT '创建日期',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1611334000531034114 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_detail
-- ----------------------------
INSERT INTO `sys_dict_detail` VALUES (1611331993917280257, 'notify_type', '代办', 'agency', 999, 'admin', 'admin', '2023-01-06 20:00:59', '2023-01-06 20:03:24');
INSERT INTO `sys_dict_detail` VALUES (1611332573649784834, 'notify_type', '公告', 'notice', 999, 'admin', 'admin', '2023-01-06 20:03:17', '2023-01-06 20:06:39');
INSERT INTO `sys_dict_detail` VALUES (1611332725118685186, 'notify_type', '通知', 'notify', 999, 'admin', 'admin', '2023-01-06 20:03:53', '2023-01-06 20:06:37');
INSERT INTO `sys_dict_detail` VALUES (1611332756219449345, 'notify_type', '消息', 'message', 999, 'admin', NULL, '2023-01-06 20:04:01', NULL);
INSERT INTO `sys_dict_detail` VALUES (1611334000531034113, 'notify_type', '其他', 'other', 999, 'admin', NULL, '2023-01-06 20:08:58', NULL);

-- ----------------------------
-- Table structure for sys_file
-- ----------------------------
DROP TABLE IF EXISTS `sys_file`;
CREATE TABLE `sys_file`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_as_cs NOT NULL COMMENT '文件名称',
  `real_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_as_cs NOT NULL COMMENT '真实文件名称',
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_as_cs NOT NULL COMMENT '路径',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_as_cs NOT NULL COMMENT '预览地址',
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_as_cs NOT NULL COMMENT '类型',
  `category` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_as_cs NOT NULL COMMENT '类别',
  `md5` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_as_cs NOT NULL COMMENT 'md5',
  `size` bigint UNSIGNED NOT NULL COMMENT '大小',
  `created_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建者',
  `updated_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新者',
  `create_time` datetime NOT NULL COMMENT '创建日期',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 87 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;


-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `pid` bigint UNSIGNED NOT NULL DEFAULT 0 COMMENT '上级菜单ID',
  `type` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '菜单类型（0：目录、1：菜单、2：按钮）',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '路由名称',
  `sort` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '排序',
  `path` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '路径',
  `component` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '组件路径',
  `redirect` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '重定向地址',
  `title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '标题',
  `icon` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '图标',
  `keep_alive` tinyint UNSIGNED NULL DEFAULT NULL COMMENT '缓存',
  `hidden` tinyint UNSIGNED NULL DEFAULT NULL COMMENT '隐藏',
  `affix` tinyint UNSIGNED NULL DEFAULT NULL COMMENT '固定',
  `active_menu` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '活动菜单',
  `permission` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '权限标识符',
  `created_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建者',
  `updated_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新者',
  `create_time` datetime NOT NULL COMMENT '创建日期',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1719011859289968648 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '菜单' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1503734603045699586, 0, 0, 'system', 0, '/system', NULL, '/system/user', '系统管理', 'el:Tools', 0, 0, 0, NULL, NULL, '1356976230017601538', 'admin', '2022-03-15 14:07:22', '2023-10-10 11:06:44');
INSERT INTO `sys_menu` VALUES (1504096722349985794, 1503734603045699586, 1, 'menu', 2, '/system/menu', 'system/menu/index', NULL, '菜单管理', 'el:Menu', 1, 0, 0, NULL, NULL, '1356976230017601538', 'admin', '2022-03-16 14:06:18', '2023-08-23 15:57:26');
INSERT INTO `sys_menu` VALUES (1693455825024659457, 1503734603045699586, 1, 'org', 1, '/system/org', 'system/dept/index', NULL, '组织管理', 'el:School', 1, 0, 0, NULL, NULL, 'admin', 'admin', '2023-08-21 10:51:46', '2024-04-19 18:09:13');
INSERT INTO `sys_menu` VALUES (1693456041102618626, 1503734603045699586, 1, 'user', 0, '/system/user', 'system/user/index', NULL, '用户管理', 'el:User', 1, 0, 0, NULL, NULL, 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
INSERT INTO `sys_menu` VALUES (1695693169157025794, 1503734603045699586, 1, 'dict', 4, '/system/dict', 'system/dict/index', NULL, '数据字典', 'el:Coin', 1, 0, 0, NULL, NULL, 'admin', NULL, '2023-08-27 15:02:11', NULL);
INSERT INTO `sys_menu` VALUES (1695693439907737601, 1503734603045699586, 1, 'role', 3, '/system/role', 'system/role/index', NULL, '角色管理', 'el:UserFilled', 1, 0, 0, NULL, NULL, 'admin', NULL, '2023-08-27 15:03:15', NULL);
INSERT INTO `sys_menu` VALUES (1695988578345627650, 1693456041102618626, 2, NULL, 0, NULL, NULL, NULL, '删除', NULL, 0, 0, 0, NULL, 'user:del', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
INSERT INTO `sys_menu` VALUES (1695988781563850754, 1693456041102618626, 2, NULL, 1, NULL, NULL, NULL, '编辑', NULL, 0, 0, 0, NULL, 'user:edit', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
INSERT INTO `sys_menu` VALUES (1695988916507193345, 1693456041102618626, 2, NULL, 2, NULL, NULL, NULL, '重置密码', NULL, 0, 0, 0, NULL, 'user:resetPwd', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
INSERT INTO `sys_menu` VALUES (1695989155200839682, 1693455825024659457, 2, NULL, 0, NULL, NULL, NULL, '编辑', NULL, 0, 0, 0, NULL, 'dept:edit', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
INSERT INTO `sys_menu` VALUES (1695989229754593281, 1693455825024659457, 2, NULL, 1, NULL, NULL, NULL, '删除', NULL, 0, 0, 0, NULL, 'dept:del', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
INSERT INTO `sys_menu` VALUES (1695989380925698050, 1504096722349985794, 2, NULL, 0, NULL, NULL, NULL, '编辑', NULL, 0, 0, 0, NULL, 'menu:edit', 'admin', 'admin', '2023-08-21 10:52:38', '2024-05-22 22:23:11');
INSERT INTO `sys_menu` VALUES (1695989447397027841, 1504096722349985794, 2, NULL, 1, NULL, NULL, NULL, '删除', NULL, 0, 0, 0, NULL, 'menu:del', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
INSERT INTO `sys_menu` VALUES (1695989603978784770, 1695693439907737601, 2, NULL, 0, NULL, NULL, NULL, '编辑', NULL, 0, 0, 0, NULL, 'role:edit', 'admin', 'admin', '2023-08-21 10:52:38', '2024-05-22 22:16:52');
INSERT INTO `sys_menu` VALUES (1695989665383395330, 1695693439907737601, 2, NULL, 1, NULL, NULL, NULL, '删除', NULL, 0, 0, 0, NULL, 'role:del', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
INSERT INTO `sys_menu` VALUES (1695989809222856705, 1695693169157025794, 2, NULL, 0, NULL, NULL, NULL, '编辑', NULL, 0, 0, 0, NULL, 'dict:edit', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
INSERT INTO `sys_menu` VALUES (1695989885240422402, 1695693169157025794, 2, NULL, 1, NULL, NULL, NULL, '删除', NULL, 0, 0, 0, NULL, 'dict:del', 'admin', 'admin', '2023-08-21 10:52:38', '2023-08-25 09:19:34');
INSERT INTO `sys_menu` VALUES (1698578500009144321, 1693456041102618626, 2, NULL, 999, NULL, NULL, NULL, '文件上传', NULL, 0, 0, 0, NULL, 'storage:upload', 'admin', NULL, '2023-09-04 14:07:27', NULL);
INSERT INTO `sys_menu` VALUES (1704313720096239617, 1691804508017930242, 1, 'flowDesign', 999, '/tool/flowDesign', 'tools/flowDesign/index', NULL, '流程设计', 'component', 1, 1, 0, NULL, NULL, 'admin', 'admin', '2023-09-20 09:57:10', '2023-10-06 22:42:30');
INSERT INTO `sys_menu` VALUES (1707618131277631489, 0, 0, 'flow', 1, '/flow', NULL, '/flow/model', '流程管理', 'org', 0, 0, 0, NULL, NULL, 'admin', 'admin', '2023-09-29 12:47:43', '2023-09-29 12:47:58');
INSERT INTO `sys_menu` VALUES (1707619093492912130, 1707618131277631489, 1, 'Model', 1, '/flow/model', 'flow/model/index', NULL, '流程模型', 'el:GoodsFilled', 1, 0, 0, NULL, NULL, 'admin', 'admin', '2023-08-16 21:30:02', '2024-03-28 20:51:53');
INSERT INTO `sys_menu` VALUES (1719011859289968658, 1707618131277631489, 1, 'Instance', 2, '/flow/instance', 'flow/instance/index', NULL, '流程数据', 'el:Histogram', 1, 0, 0, NULL, '', 'admin', 'admin', '2024-09-04 14:50:27', '2024-11-17 15:38:26');
INSERT INTO `sys_menu` VALUES (1711931297412202497, 1713025685109346306, 1, 'Define', 0, '/flow/define', 'flow/define/index', NULL, '发起流程', 'el:List', 1, 0, 0, NULL, NULL, 'admin', 'admin', '2023-10-11 10:26:42', '2024-03-28 20:51:20');
INSERT INTO `sys_menu` VALUES (1713025685109346306, 0, 0, 'task', 2, '/task', NULL, '/flow/define', '我的事务', 'el:UserFilled', 0, 0, 0, NULL, NULL, 'admin', 'admin', '2023-10-14 10:55:24', '2024-03-30 17:58:01');
INSERT INTO `sys_menu` VALUES (1713026381678383105, 1713025685109346306, 1, 'todo', 1, '/flow/todo', 'flow/todo/index', NULL, '我的代办', 'component', 1, 0, 0, NULL, NULL, 'admin', 'admin', '2023-10-14 10:58:11', '2023-10-14 13:39:09');
INSERT INTO `sys_menu` VALUES (1713029617319677954, 1713025685109346306, 1, 'done', 2, '/flow/done', 'flow/done/index', NULL, '已办任务', 'valid-code', 1, 0, 0, NULL, NULL, 'admin', 'admin', '2023-10-14 11:11:02', '2023-10-14 13:39:19');
INSERT INTO `sys_menu` VALUES (1716830110782373886, 1713025685109346306, 1, 'Copy', 4, '/flow/copy', 'flow/copy/index', NULL, '抄送我的', 'el:Promotion', 1, 0, 0, NULL, NULL, 'admin', 'admin', '2023-10-24 22:52:50', '2024-03-30 15:03:17');
INSERT INTO `sys_menu` VALUES (1716830110782373889, 1713025685109346306, 1, 'Submit', 3, '/flow/submit', 'flow/submit/index', NULL, '我发起的', 'org', 1, 0, 0, NULL, NULL, 'admin', 'admin', '2023-10-24 22:52:50', '2024-03-30 15:03:17');
INSERT INTO `sys_menu` VALUES (1719011859289968643, 1504096722349985794, 2, '', 99, '', '', '', '添加', '', 0, 0, 0, '', 'menu:add', 'admin', 'admin', '2024-05-22 22:25:02', '2024-05-22 22:25:15');
INSERT INTO `sys_menu` VALUES (1719011859289968644, 1693455825024659457, 2, '', 99, '', '', '', '添加', '', 0, 0, 0, '', 'dept:add', 'admin', NULL, '2024-05-22 22:25:31', NULL);
INSERT INTO `sys_menu` VALUES (1719011859289968645, 1695693439907737601, 2, '', 99, '', '', '', '添加', '', 0, 0, 0, '', 'role:add', 'admin', NULL, '2024-05-22 22:25:50', NULL);
INSERT INTO `sys_menu` VALUES (1719011859289968646, 1695693169157025794, 2, '', 99, '', '', '', '添加', '', 0, 0, 0, '', 'dict:add', 'admin', NULL, '2024-05-22 22:26:03', NULL);
INSERT INTO `sys_menu` VALUES (1719011859289968647, 1693456041102618626, 2, '', 99, '', '', '', '添加', '', 0, 0, 0, '', 'user:add', 'admin', NULL, '2024-05-22 22:26:25', NULL);

-- ----------------------------
-- Table structure for sys_notify
-- ----------------------------
DROP TABLE IF EXISTS `sys_notify`;
CREATE TABLE `sys_notify`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `subject` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '主题',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '内容',
  `sender` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '发送者',
  `receiver` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '接收者',
  `type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '类型',
  `receiving_time` datetime NOT NULL COMMENT '接收时间',
  `is_read` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否已读',
  `archived` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否归档',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '跳转url',
  `params` json NULL COMMENT '跳转参数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1153 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_notify
-- ----------------------------

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '编号',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '名称',
  `data_scope` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '数据权限',
  `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '描述',
  `created_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建者',
  `updated_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新者',
  `create_time` datetime NOT NULL COMMENT '创建日期',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1701429813977886722 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '角色' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1357290971101491202, '管理员', '管理员', 0, '描述', 'admin', 'admin', '2021-02-04 19:32:39', '2024-05-22 22:27:49');
INSERT INTO `sys_role` VALUES (1357291099820486658, '普通用户', '普通用户', 1, '描述', 'admin', 'admin', '2021-02-04 19:33:10', '2024-05-09 21:15:47');
INSERT INTO `sys_role` VALUES (1357291137174958082, '超级管理员', '超级管理员', 0, '描述', 'admin', 'admin', '2021-02-04 19:33:19', '2024-05-09 21:15:53');
INSERT INTO `sys_role` VALUES (1568873508431171585, '项目经理', '项目经理', 1, '管理项目', 'admin', 'admin', '2022-09-11 16:06:07', '2023-08-30 12:16:15');
INSERT INTO `sys_role` VALUES (1568873622256193537, 'OA管理员', 'OA管理员', 1, '描述', 'admin', 'admin', '2022-09-11 16:06:34', '2024-03-31 23:25:27');
INSERT INTO `sys_role` VALUES (1607772303980032001, '游客', '游客', 0, '游客权限', 'admin', 'admin', '2022-12-28 00:16:03', '2023-10-16 17:22:11');
INSERT INTO `sys_role` VALUES (1701429262296887297, '产品经理', '产品经理', 1, NULL, 'admin', NULL, '2023-09-12 10:55:22', NULL);
INSERT INTO `sys_role` VALUES (1701429320358637570, 'CEO', 'CEO', 1, NULL, 'admin', NULL, '2023-09-12 10:55:36', NULL);
INSERT INTO `sys_role` VALUES (1701429410515202049, '客服经理', '客服经理', 1, NULL, 'admin', NULL, '2023-09-12 10:55:57', NULL);
INSERT INTO `sys_role` VALUES (1701429501409964034, '开发组长', '开发组长', 1, NULL, 'admin', NULL, '2023-09-12 10:56:19', NULL);
INSERT INTO `sys_role` VALUES (1701429689369309186, '网站管理员', '网站管理员', 1, NULL, 'admin', NULL, '2023-09-12 10:57:04', NULL);
INSERT INTO `sys_role` VALUES (1701429813977886721, '前端开发', '前端开发', 1, NULL, 'admin', NULL, '2023-09-12 10:57:33', NULL);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint UNSIGNED NOT NULL COMMENT '角色id',
  `menu_id` bigint UNSIGNED NOT NULL COMMENT ' 菜单id',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '角色菜单' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1503734603045699586);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1504096722349985794);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1691804508017930242);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1691805323340296193);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1691807004912267266);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1691807701766516738);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1691808141451210753);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1691808471127699458);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1691808842160025601);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1691809070145613826);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1691809238173626370);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1691809637727219714);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1691809827611750402);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1691809987955798018);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1692910220429234177);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1693455825024659457);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1693456041102618626);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695693169157025794);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695693439907737601);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695988578345627650);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695988781563850754);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695988916507193345);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695989155200839682);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695989229754593281);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695989380925698050);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695989447397027841);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695989603978784770);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695989665383395330);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695989809222856705);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1695989885240422402);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1698578500009144321);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1704313720096239617);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1707618131277631489);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1707619093492912130);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1711931297412202497);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1713025685109346306);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1713026381678383105);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1713029617319677954);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1716830110782373884);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1716830110782373886);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1716830110782373889);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1719011859289968643);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1719011859289968644);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1719011859289968645);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1719011859289968646);
INSERT INTO `sys_role_menu` VALUES (1357290971101491202, 1719011859289968647);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1503734603045699586);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1504096722349985794);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1691804508017930242);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1691805323340296193);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1691807004912267266);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1691807701766516738);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1691808141451210753);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1691808471127699458);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1691808842160025601);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1691809070145613826);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1691809238173626370);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1691809637727219714);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1691809827611750402);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1691809987955798018);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1692910220429234177);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1693455825024659457);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1693456041102618626);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1695693169157025794);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1695693439907737601);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1704313720096239617);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1707618131277631489);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1707619093492912130);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1711931297412202497);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1713025685109346306);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1713026381678383105);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1713029617319677954);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1716830110782373886);
INSERT INTO `sys_role_menu` VALUES (1357291099820486658, 1716830110782373889);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1503734603045699586);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1504096722349985794);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1691804508017930242);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1691805323340296193);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1691807004912267266);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1691807701766516738);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1691808141451210753);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1691808471127699458);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1691808842160025601);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1691809070145613826);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1691809238173626370);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1691809637727219714);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1691809827611750402);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1691809987955798018);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1692910220429234177);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1693455825024659457);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1693456041102618626);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1695693169157025794);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1695693439907737601);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1707618131277631489);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1707619093492912130);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1711931297412202497);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1713025685109346306);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1713026381678383105);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1713029617319677954);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1716830110782373886);
INSERT INTO `sys_role_menu` VALUES (1357291137174958082, 1716830110782373889);
INSERT INTO `sys_role_menu` VALUES (1568873508431171585, 1695693439907737601);
INSERT INTO `sys_role_menu` VALUES (1568873508431171585, 1695989603978784770);
INSERT INTO `sys_role_menu` VALUES (1568873508431171585, 1695989665383395330);
INSERT INTO `sys_role_menu` VALUES (1568873622256193537, 1707619093492912130);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1503734603045699586);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1504096722349985794);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1691804508017930242);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1691805323340296193);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1691807004912267266);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1691807701766516738);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1691808141451210753);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1691808471127699458);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1691808842160025601);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1691809070145613826);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1691809238173626370);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1691809637727219714);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1691809827611750402);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1691809987955798018);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1692910220429234177);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1693455825024659457);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1693456041102618626);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1695693169157025794);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1695693439907737601);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1698578500009144321);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1707618131277631489);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1707619093492912130);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1711931297412202497);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1713025685109346306);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1713026381678383105);
INSERT INTO `sys_role_menu` VALUES (1607772303980032001, 1713029617319677954);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `name` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '姓名',
  `username` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '用户名',
  `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '密码',
  `avatar` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '头像',
  `sex` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '性别：0:未知，1:男，2:女',
  `phone` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '手机号',
  `email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '邮箱',
  `enabled` bit(1) NOT NULL DEFAULT b'1' COMMENT '状态：0:禁用，1:启用',
  `dept_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '部门id',
  `leader` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '直属领导',
  `created_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '创建者',
  `updated_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '更新者',
  `create_time` datetime NOT NULL COMMENT '创建日期',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1356976230017601552 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '用户' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, '系统管理员', 'admin', '$2a$10$ey5bu11ZvVwTfK9Yf6UYlezuiVhB5pasx0eDWcu4dIDv9cLC3/lc2', '/api/static/file/10118f6f-7e74-446e-95d2-1d1ea4a1dad6OIP-C (4).jpg', 2, '15606613352', '1941338475@qq.com', b'1', 1357882876154490881, 'caiyan', 'admin', 'admin', '2024-03-03 10:53:39', '2024-05-27 15:44:04');
INSERT INTO `sys_user` VALUES (2, '测试01', 'test01', '$2a$10$DFaPdLMWLJ.lL0OdzNyopuapUwmSJpN5ETOqkeq5HQsrzl8OIpdDO', '/api/static/file/f8d1c200-1a41-40f4-89fb-8739f683918cavatar.png', 2, '15606613352', '1941338475@qq.com', b'1', 1357882876154490881, NULL, 'admin', 'admin', '2024-03-03 10:53:39', '2024-05-27 15:44:08');
INSERT INTO `sys_user` VALUES (3, '系统', '00000', '$2a$10$ey5bu11ZvVwTfK9Yf6UYlezuiVhB5pasx0eDWcu4dIDv9cLC3/lc2', '/api/static/file/10118f6f-7e74-446e-95d2-1d1ea4a1dad6OIP-C (4).jpg', 2, '15606613352', '1941338475@qq.com', b'1', 1357882876154490881, NULL, 'admin', 'admin', '2024-03-03 10:53:39', '2024-05-27 15:44:12');
INSERT INTO `sys_user` VALUES (1356976230017601539, '李玉珍', 'liyuzhen', '$2a$10$zMbUx27SLv9nWhTsicKuFO6/SlmUZQ/h5jUbScO0Axpx6oTedv8wG', '/api/static/file/e6e4dd5b-e3a9-4ade-9436-7538549adf4bOIP-C.jpg', 2, '15606613333', '1941338475@qq.com', b'1', 1538426198781095937, NULL, 'admin', 'admin', '2024-03-31 23:47:19', '2024-05-27 15:44:18');
INSERT INTO `sys_user` VALUES (1356976230017601540, '张云任', 'zhangyunren', '$2a$10$yhLsGQsNFJFnnBel8WIGPeeMbVNi8GD9wgYcVroi2002WC6rXwkdW', '/api/static/file/e90ad53c-df7e-4ea9-a73f-41bdc927945eQRqMK.jpg', 1, '15606613334', '1941338475@qq.com', b'1', 1538427176800514050, NULL, 'admin', 'admin', '2024-03-31 23:48:13', '2024-05-27 15:44:27');
INSERT INTO `sys_user` VALUES (1356976230017601541, '周亚夫', 'zhouyafu', '$2a$10$DFaPdLMWLJ.lL0OdzNyopuapUwmSJpN5ETOqkeq5HQsrzl8OIpdDO', '/api/static/file/f7a8259f-9e81-4d0c-853d-5e430e2a1bf2QR57a.jpg', 1, '15606613395', '1941338475@qq.com', b'1', 1538426900681093121, NULL, 'admin', 'admin', '2024-04-01 10:47:28', '2024-05-27 15:44:30');
INSERT INTO `sys_user` VALUES (1356976230017601542, '邓真', 'dengzhen', '$2a$10$lIJxVimQijOAjM9AJjKm0OMqMD3hhJ22Tukp1Mh7.pPYPQiH8gd9y', '/api/static/file/997a5a07-77be-47e8-b506-cdafea147694QRBHS.jpg', 1, '15606613396', '1941338475@qq.com', b'1', 1538426900681093121, NULL, 'admin', 'admin', '2024-04-01 10:49:54', '2024-05-27 15:44:36');
INSERT INTO `sys_user` VALUES (1356976230017601543, '杨映秋', 'yangyingqiu', '$2a$10$Wbr.ujXWKRM6dKvIen22mO.gzGOKbA3.KGhJBRDrLCXDQcpWLvbv6', '/api/static/file/4e118a9a-82e4-4920-94d6-818122043ff0OIP-C (7).jpg', 1, '15606613396', '15606613396@qq.com', b'1', 1357882410670682114, NULL, 'admin', NULL, '2024-04-01 10:51:25', NULL);
INSERT INTO `sys_user` VALUES (1356976230017601544, '聂婷婷', 'nietingting', '$2a$10$AboKkPB42dYwdV0e0Kdr9evNMMm93bQiJiyGIlKN617ZtrWZKWnCq', '/api/static/file/c7bd8506-bbd6-4b94-bbff-b8733db09c89OIP-C (2).jpg', 2, '15606613397', '1941338475@qq.com', b'1', 1538427031631458306, NULL, 'admin', 'admin', '2024-04-01 10:52:46', '2024-05-27 15:44:41');
INSERT INTO `sys_user` VALUES (1356976230017601545, '吴明杰', 'wumingjie', '$2a$10$77WDAs2Lo4ecq5kDzfoVTuxOF0tfC3a/gGbkHE68B.Mo4Tg5VmqZ2', '/api/static/file/36311595-5ce0-4a5b-8f7b-f64d37072e0bOIP-C (1).jpg', 1, '15606613319', '1941338475@qq.com', b'1', 1357882876154490882, NULL, 'admin', 'admin', '2024-04-01 10:54:11', '2024-05-27 15:44:45');
INSERT INTO `sys_user` VALUES (1356976230017601546, '沈翰林', 'shenhanlin', '$2a$10$lyfX6CyhGuLNlFzZ8A2dpOxKrP9IABExM2Hapcw/BgFgjCaIxw2kK', '/api/static/file/38959647-e230-48c6-b3d0-fa31c94c18bd下载.jpg', 1, '15606613318', '1941338475@qq.com', b'1', 1538426930959773697, NULL, 'admin', 'admin', '2024-04-01 10:55:09', '2024-05-27 15:44:53');
INSERT INTO `sys_user` VALUES (1356976230017601547, '吴飞鸿', 'wufeihong', '$2a$10$mS0UPMfgdV6hfMo5HXsiKe4LG8yK7hlxMRFB0dzsztj95p65OfEHy', '/api/static/file/1e52370d-fed0-4fa1-a03a-f82a2a93358fOIP-C (3).jpg', 1, '15606613390', '1941338475@qq.com', b'1', 1538426269257986049, NULL, 'admin', 'admin', '2024-04-01 10:56:27', '2024-05-27 15:44:57');
INSERT INTO `sys_user` VALUES (1356976230017601548, '郑菲', 'zhengfei', '$2a$10$geVy0HA8jUHTSvTlVIRzx.zRPFgwfF7uQLucIsLv7ZOnwaG5gDoym', '/api/static/file/9010f7f6-d9cc-418d-bc2b-1ecaa3dd37f7OIP-C (4).jpg', 2, '15606613361', '1941338475@qq.com', b'1', 1538426719302610945, NULL, 'admin', 'admin', '2024-04-01 10:57:28', '2024-05-27 15:45:01');
INSERT INTO `sys_user` VALUES (1356976230017601549, '蔡艳', 'caiyan', '$2a$10$fxOOaa/jxjkfKftk5WZ34.Rih9wBWriiuliak7o4QF4BeZ.5dCXHW', '/api/static/file/778c2c9d-f8f5-40db-a6c9-04874bc7447b201962717313730705.jpeg', 2, '15606613387', '1941338475@qq.com', b'1', 1538426048373354498, 'zhangyunren', 'admin', 'admin', '2024-04-01 10:59:21', '2024-05-27 15:45:04');
INSERT INTO `sys_user` VALUES (1356976230017601550, '姚彤', 'yaotong', '$2a$10$dxS/DMpB4n/D58a6cMbKdODyhWVVRqPY7vjeUP0vsJrUxfUGXIFo2', '/api/static/file/5be7bff8-7d3f-4c15-9255-7dc7d24db2b7OIP-C (5).jpg', 2, '15606613354', '1941338475@qq.com', b'1', 1538426418701037570, NULL, 'admin', 'admin', '2024-04-01 11:00:15', '2024-05-27 15:45:08');
INSERT INTO `sys_user` VALUES (1356976230017601551, '马涛', 'matao', '$2a$10$CaAdJumgRz4dO6d6JKyr.OkXLhquUnBmnefNAFbPWsZ7UdnxJOHDq', '/api/static/file/15264081-a8e1-4f97-8e45-7382bc5eadc1OIP-C (6).jpg', 1, '15606613386', '1941338475@qq.com', b'1', 1538426509662908418, NULL, 'admin', 'admin', '2024-04-01 11:01:32', '2024-05-27 15:45:11');

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '用户id',
  `role_id` bigint NOT NULL COMMENT '角色id',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = '用户角色' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES ('caiyan', 1357290971101491202);
INSERT INTO `sys_user_role` VALUES ('liyuzhen', 1357290971101491202);
INSERT INTO `sys_user_role` VALUES ('liyuzhen', 1357291099820486658);
INSERT INTO `sys_user_role` VALUES ('test01', 1357290971101491202);

SET FOREIGN_KEY_CHECKS = 1;
